Search results

Immutable Mode in JavaScript (ES5) TreeGrid control

17 Mar 2023 / 3 minutes to read

The immutable mode optimizes the Tree Grid re-rendering performance by using the object reference and deep compare concept. When performing the Tree Grid actions, it will only re-render the modified or newly added rows and prevent the re-rendering of the unchanged rows.

To enable this feature, you have to set the enableImmutableMode property as true.

  • This feature uses the primary key value for data comparison. So, you need to provide the isPrimaryKey column.
Source
Preview
index.js
index.html
Copied to clipboard
ej.treegrid.TreeGrid.Inject(ej.treegrid.Page, ej.treegrid.Edit);

var immutableStart;
var normalStart;
var immutableInit = true;
var init = true;
if(sampleData2.length == 0){
  dataSource();
}
    
    var immutableGrid = new ej.treegrid.TreeGrid(
        {
            dataSource: sampleData2,
            childMapping: 'subtasks',
            height: 350,
            allowPaging: true,
            pageSettings: {pageSize: 50},
            selectionSettings: { type: "Multiple" },
            editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true, mode: 'Cell' },
            treeColumnIndex: 1,
            enableImmutableMode: true,
            beforeDataBound: function() {
                immutableStart = new Date().getTime();
            },
            dataBound: function() {
                var val = immutableInit ? '' : new Date().getTime() - immutableStart;
                document.getElementById('immutableDelete').innerHTML = 'Immutable rendering Time: ' + "<b>" + val + "</b>" + '<b>ms</b>';
                immutableStart = 0; immutableInit = false;
            },
            columns: [
                { field: 'taskID', headerText: 'Task ID', isPrimaryKey: true, width: 70, textAlign: 'Right' },
                { field: 'taskName', headerText: 'Task Name', width: 200, textAlign: 'Left' },
                { field: 'startDate', headerText: 'Start Date', width: 90, textAlign: 'Right', type: 'date', format: 'yMd' },
                { field: 'endDate', headerText: 'End Date', width: 90, textAlign: 'Right', type: 'date', format: 'yMd' },
                { field: 'duration', headerText: 'Duration', width: 80, textAlign: 'Right' },
                { field: 'progress', headerText: 'Progress', width: 80, textAlign: 'Right' },
                { field: 'priority', headerText: 'Priority', width: 90 }
            ]
        });
    immutableGrid.appendTo('#immutable');

    
document.getElementById('delete').addEventListener('click', function(e) {
  normalGrid.selectRows([0, 2, 4]);
  immutableGrid.selectRows([0, 2, 4]);
  normalGrid.deleteRecord();
  immutableGrid.deleteRecord();
});

document.getElementById('addtop').addEventListener('click', function(e) {
  normalGrid.addRecord(sampleData[0], 0, "Top");
  immutableGrid.addRecord(sampleData[0], 0, "Top");
});

document.getElementById('addbottom').addEventListener('click', function(e) {
  normalGrid.addRecord(sampleData[0], 0, "Bottom");
  immutableGrid.addRecord(sampleData[0], 0, "Bottom");
});

document.getElementById('reverse').addEventListener('click', function(e) {
  let aData = (immutableGrid.dataSource).reverse();
  normalGrid.setProperties({ dataSource: aData });
  immutableGrid.setProperties({ dataSource: aData });
});

document.getElementById('paging').addEventListener('click', function(e) {
  let page = normalGrid.pageSettings.currentPage + 1;
  normalGrid.goToPage(page);
  immutableGrid.goToPage(page);
});

var normalGrid = new ej.treegrid.TreeGrid({
            dataSource: sampleData2,
            childMapping: 'subtasks',
            height: 350,
            allowPaging: true,
            pageSettings: {pageSize: 50},
            selectionSettings: { type: "Multiple" },
            editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true, mode: 'Cell' },
            treeColumnIndex: 1,
            beforeDataBound: function() {
                normalStart = new Date().getTime();
            },
            dataBound: function() {
                var val = init ? '' : new Date().getTime() - normalStart;
                document.getElementById('normalDelete').innerHTML = 'Normal rendering Time: ' + "<b>" + val + "</b>" + '<b>ms</b>';
                normalStart = 0; init = false;
            },
            columns: [
                { field: 'taskID', headerText: 'Task ID',  isPrimaryKey: true, width: 70, textAlign: 'Right' },
                { field: 'taskName', headerText: 'Task Name', width: 200, textAlign: 'Left' },
                { field: 'startDate', headerText: 'Start Date', width: 90, textAlign: 'Right', type: 'date', format: 'yMd' },
                { field: 'endDate', headerText: 'End Date', width: 90, textAlign: 'Right', type: 'date', format: 'yMd' },
                { field: 'duration', headerText: 'Duration', width: 80, textAlign: 'Right' },
                { field: 'progress', headerText: 'Progress', width: 80, textAlign: 'Right' },
                { field: 'priority', headerText: 'Priority', width: 90 }
            ]
});
normalGrid.appendTo('#normal');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>EJ2 Tree Grid</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Tree Grid Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
     <!-- Syncfusion Essential JS 2 Styles -->
    <link rel="stylesheet" href="https://cdn.syncfusion.com/ej2/20.4.48/material.css">
    
    
<style>
    .immutablegrid,
    .normalgrid {
        pointer-events: none;
    }
</style><script src="https://cdn.syncfusion.com/ej2/20.4.48/dist/ej2.min.js" type="text/javascript"></script>
<script src="es5-datasource.js" type="text/javascript"></script>
</head>

<body>
   
    <div id="container">
        <table>
            <tbody>
                <tr>
                    <td>
                        <span id="immutableDelete"></span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span id="normalDelete"></span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div>
                            <button id="addtop" class="e-control e-btn e-lib e-info">Add row at top</button>
                            <button id="addbottom" class="e-control e-btn e-lib e-info">Add row at bottom</button>
                            <button id="delete" class="e-control e-btn e-lib e-info">Delete 5 rows</button>
                            <button id="reverse" class="e-control e-btn e-lib e-info">Sort Task ID</button>
                            <button id="paging" class="e-control e-btn e-lib e-info">Paging</button>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span><b>Immutable Tree Grid</b></span>
                        <div id="immutable" class="immutablegrid"></div>
                    </td>
                    <td>
                        <span><b>Normal Tree Grid</b></span>
                        <div id="normal" class="normalgrid"></div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>  

<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Limitations

The following features are not supported in the immutable mode:

  • Frozen rows and columns
  • Row Template
  • Detail Template
  • Column reorder
  • Virtualization

You can refer to our JavaScript Tree Grid feature tour page for its groundbreaking feature representations. You can also explore our JavaScript Tree Grid example JavaScript Tree Grid example to knows how to present and manipulate data.

Immutable mode in Vue Treegrid component

16 Mar 202312 minutes to read

The immutable mode optimizes the TreeGrid re-rendering performance by using the object reference and deep compare concept. When performing the TreeGrid actions, it will only re-render the modified or newly added rows and prevent the re-rendering of the unchanged rows.

To enable this feature, you have to set the enableImmutableMode property as true.

  • This feature uses the primary key value for data comparison. So, you need to provide the isPrimaryKey column.
<template>
    <div id="app">
    <div id='container'>
        <table>
      <tbody>
        <tr>
          <td>
            <span id="immutableDelete"></span>
          </td>
        </tr>
        <tr>
          <td>
            <span id="normalDelete"></span>
          </td>
        </tr>
        <tr>
          <td>
            <div>
              <ejs-button cssClass="e-info" v-on:click.native="addTopEvent">Add row at top</ejs-button>
              <ejs-button cssClass="e-info" v-on:click.native="addBottomEvent">Add row at bottom</ejs-button>
              <ejs-button cssClass="e-info" v-on:click.native="deleteEvent">Delete 5 rows</ejs-button>
              <ejs-button cssClass="e-info" v-on:click.native="sortEvent">Sort Task ID</ejs-button>
              <ejs-button cssClass="e-info" v-on:click.native="pageEvent">Paging</ejs-button>
            </div>
          </td>
        </tr>
        <tr>
          <td>
        <span><b>Immutable TreeGrid</b></span>
        <ejs-treegrid ref="immutablegrid" :dataSource='data' childMapping='subtasks' :treeColumnIndex='1' height=350 :allowPaging='true' :pageSettings='pageSettings' :editSettings='editSettings' :selectionSettings='selectionOptions' :enableImmutableMode='true' :beforeDataBound="immutableBeforeDataBound" :dataBound="immutableDataBound">
        <e-columns>
                <e-column field='taskID' :isPrimaryKey='true' headerText='Task ID' width='90' textAlign='Right'></e-column>
                <e-column field='taskName' headerText='Task Name' width='200'></e-column>
                <e-column field='startDate' headerText='Start Date' textAlign='Right' width='90' format='yMd' type='date'></e-column>
                <e-column field='endDate' headerText='End Date' textAlign='Right' width='90' format='yMd' type='date'></e-column>
                <e-column field='duration' headerText='Duration' width='90' textAlign='Right'></e-column>
                <e-column field='priority' headerText='Priority' width='90' textAlign='Right'></e-column>
                <e-column field='approved' headerText='Approved' width='90' textAlign='Right'></e-column>
                </e-columns>
        </ejs-treegrid>
          </td>
          <td>
            <span><b>Normal TreeGrid</b></span>
        <ejs-treegrid ref="nomalgrid" :dataSource='data' childMapping='subtasks' :treeColumnIndex='1' height=350 :allowPaging='true' :pageSettings='pageSettings' :editSettings='editSettings' :selectionSettings='selectionOptions' :enableImmutableMode='true'  :beforeDataBound="beforeDataBound" :dataBound="dataBound">
        <e-columns>
                <e-column field='taskID' :isPrimaryKey='true' headerText='Task ID' width='90' textAlign='Right'></e-column>
                <e-column field='taskName' headerText='Task Name' width='200'></e-column>
                <e-column field='startDate' headerText='Start Date' textAlign='Right' width='90' format='yMd' type='date'></e-column>
                <e-column field='endDate' headerText='End Date' textAlign='Right' width='90' format='yMd' type='date'></e-column>
                <e-column field='duration' headerText='Duration' width='90' textAlign='Right'></e-column>
                <e-column field='priority' headerText='Priority' width='90' textAlign='Right'></e-column>
                <e-column field='approved' headerText='Approved' width='90' textAlign='Right'></e-column>
                </e-columns>
        </ejs-treegrid>
          </td>
        </tr>
      </tbody>
    </table>
    </div>
  </div>
</template>

<script>
import Vue from "vue";
import { TreeGridPlugin, Page, Edit } from "@syncfusion/ej2-vue-treegrid";
import { sampleData, sampleData2, dataSource1 } from "./datasource.js";
import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";

Vue.use(TreeGridPlugin);
Vue.use(ButtonPlugin);

if(sampleData2.length == 0){
  dataSource1();
}

export default {
  data() {
    return {
      data: sampleData2,
      pageSettings: { pageSize: 50 },
      selectionOptions: { type: 'Multiple' },
      editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true, mode: 'Cell' },
      immutableStart: 0,
      normalStart: 0,
      immutableInit: true,
      init: true
    };
  },
  provide: {
    treegrid: [Page, Edit],
  },
  methods: {
    addTopEvent: function () {
      let immutableInstance = this.$refs.immutablegrid;
      let instance = this.$refs.nomalgrid;
      immutableInstance.addRecord(sampleData[0], 0, "Top");
      instance.addRecord(sampleData[0], 0, "Top");

    },
    addBottomEvent: function () {
      let immutableInstance = this.$refs.immutablegrid;
      let instance = this.$refs.nomalgrid;
      immutableInstance.addRecord(sampleData[0], 0, "Bottom");
      instance.addRecord(sampleData[0], 0, "Bottom");
    },
    deleteEvent: function () {
      let immutableInstance = this.$refs.immutablegrid;
      let instance = this.$refs.nomalgrid;
      immutableInstance.selectRows([0, 2, 4]);
      instance.selectRows([0, 2, 4]);
      immutableInstance.deleteRecord();
      instance.deleteRecord();

    },
    sortEvent: function () {
      let immutableInstance = this.$refs.immutablegrid;
      let instance = this.$refs.nomalgrid;
      let aData = immutableInstance.dataSource.reverse();
      immutableInstance.setProperties({ dataSource: aData });
      instance.setProperties({ dataSource: aData });
    },
    pageEvent: function () {
      let immutableInstance = this.$refs.immutablegrid;
      let instance = this.$refs.nomalgrid;
      let page = instance.ej2Instances.pageSettings.currentPage + 1;
      immutableInstance.goToPage(page);
      instance.goToPage(page);
    },
    immutableBeforeDataBound: function () {
      this.immutableStart = new Date().getTime();
    },
    immutableDataBound: function () {
      let val = this.immutableInit ? '' : new Date().getTime() - this.immutableStart;
      document.getElementById("immutableDelete").innerHTML =
        "Immutable rendering Time: " + "<b>" + val + "</b>" + "<b>ms</b>";
      this.immutableStart = 0; this.immutableInit = false;
    },
    beforeDataBound: function () {
      this.normalStart = new Date().getTime();
    },
    dataBound: function () {
      let val = this.init ? '' : new Date().getTime() - this.normalStart;
      document.getElementById("normalDelete").innerHTML =
        "Normal rendering Time: " + "<b>" + val + "</b>" + "<b>ms</b>";
      this.normalStart = 0; this.init = false;
    },
  },
};
</script>
<style>
.e-treegrid {
  pointer-events: none;
}
 @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material.css";
</style>

Limitations

The following features are not supported in the immutable mode:

  • Frozen rows and columns
  • Row Template
  • Detail Template
  • Column reorder
  • Virtualization

Immutable mode in Angular Treegrid component

27 Apr 20247 minutes to read

The immutable mode optimizes the Tree Grid re-rendering performance by using the object reference and deep compare concept. When performing the Tree Grid actions, it will only re-render the modified or newly added rows and prevent the re-rendering of the unchanged rows.

To enable this feature, you have to set the enableImmutableMode property as true.

  • This feature uses the primary key value for data comparison. So, you need to provide the isPrimaryKey column.
import { NgModule,ViewChild } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeGridModule } from '@syncfusion/ej2-angular-treegrid'
import { PageService,EditService } from '@syncfusion/ej2-angular-treegrid'
import {ButtonModule} from '@syncfusion/ej2-angular-buttons'
import { DropDownListAllModule } from '@syncfusion/ej2-angular-dropdowns'



import { Component, OnInit, ViewChild } from "@angular/core";
import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
import { GridComponent } from '@syncfusion/ej2-angular-grids';
import { sampleData2, dataSource1, sampleData } from "./datasource";

@Component({
imports: [
        
        TreeGridModule,
        ButtonModule,
        DropDownListAllModule
    ],

providers: [PageService,EditService],
standalone: true,
    selector: 'app-container',
    templateUrl: './app.template.html'
})
export class AppComponent implements OnInit {
  public data: Object[] = [];
  public pageSettings: Object = { pageSize: 50 };
  public editSettings: Object = { allowEditing: true, allowAdding: true, allowDeleting: true, mode: 'Cell' };
  public selectionOptions: Object = { type: 'Multiple' };
  public immutableStart?: number;
  public normalStart?: number;
  @ViewChild("immutable")
  public immutableGrid?: GridComponent;
  @ViewChild("normal")
  public normalGrid?: GridComponent;
  @ViewChild("addtop")
  public addtop?: ButtonComponent;
  @ViewChild("addbottom")
  public addbottom?: ButtonComponent;
  @ViewChild("delete")
  public delete?: ButtonComponent;
  @ViewChild("reverse")
  public reverse?: ButtonComponent;
  @ViewChild("paging")
  public paging?: ButtonComponent;
  public immutableInit: boolean = true;
  public init: boolean = true;

  ngOnInit(): void {
    dataSource1();
    this.data = sampleData2;
  }

  immutableBeforeDataBound(args: any): void {
    this.immutableStart = new Date().getTime();
  }

  immutableDataBound(args: any): void {
    let val: number | string = this.immutableInit ? '' : new Date().getTime() - (this.immutableStart as number);
    (document.getElementById("immutableDelete") as HTMLElement).innerHTML =
      "Immutable rendering Time: " + "<b>" + val + "</b>" + "<b>ms</b>";
    this.immutableStart = 0; this.immutableInit = false;
  }

  normalBeforeDataBound(args: any): void {
    this.normalStart = new Date().getTime();
  }

  normalDataBound(args: any): void {
    let val: number = (this.init ? '' : new Date().getTime() as number - (this.normalStart as number)) as number;
    (document.getElementById("normalDelete") as HTMLElement).innerHTML =
      "Normal rendering Time: " + "<b>" + val + "</b>" + "<b>ms</b>";
    this.normalStart = 0; this.init = false;
  }

  addTopEvent(): void {
    (this.normalGrid as GridComponent).addRecord(sampleData[0], 0);
    (this.immutableGrid as GridComponent).addRecord(sampleData[0], 0);
  }

  addBottomEvent(): void {
    (this.normalGrid as GridComponent).addRecord(sampleData[0], 0,);
    (this.immutableGrid as GridComponent).addRecord(sampleData[0], 0);
  }

  deleteEvent(): void {
    (this.normalGrid as GridComponent).selectRows([0, 2, 4]);
    (this.immutableGrid as GridComponent).selectRows([0, 2, 4]);
    (this.normalGrid as GridComponent).deleteRecord();
    (this.immutableGrid as GridComponent).deleteRecord();
  }

  sortEvent(): void {
    let aData: object[] = ((this.immutableGrid as GridComponent).dataSource as object[]).reverse();
    (this.normalGrid as GridComponent).setProperties({ dataSource: aData });
    (this.immutableGrid as GridComponent).setProperties({ dataSource: aData });
  }

  pageEvent(): void {
    let page: number = ((this.normalGrid as GridComponent).pageSettings.currentPage as number + 1) as number;
    (this.normalGrid as GridComponent).goToPage(page);
    (this.immutableGrid as GridComponent).goToPage(page);
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Limitations

The following features are not supported in the immutable mode:

  • Frozen rows and columns
  • Row Template
  • Detail Template
  • Column reorder
  • Virtualization

You can refer to our Angular Tree Grid feature tour page for its groundbreaking feature representations. You can also explore our Angular Tree Grid example to knows how to present and manipulate data.

The immutable mode optimizes the Tree Grid re-rendering performance by using the object reference and deep compare
concept. When performing the Grid actions, it will only re-render the modified or newly added rows and prevent the re-rendering of the unchanged rows.
To enable this feature, you have to set the enableImmutableMode
property as true.
- This feature uses the primary key value for data comparison. So, you need to provide the
isPrimaryKey
column.
import { ColumnDirective, ColumnsDirective, TreeGridComponent, Inject, Page } from '@syncfusion/ej2-react-treegrid';
import { Edit } from '@syncfusion/ej2-react-treegrid';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import { sampleData2, dataSource1, sampleData } from './datasource';
export default class App extends React.Component {
constructor() {
super(...arguments);
this.pageSettings = { pageSize: 50 };
this.settings = { type: 'Multiple' };
this.immutableInit = true;
this.init = true;
this.editOptions = {
allowAdding: true,
allowDeleting: true,
allowEditing: true,
mode: 'Cell'
};
}
immutableBeforeDataBound() {
this.immutableStart = new Date().getTime();
}
immutableDataBound() {
let val = this.immutableInit ? '' : new Date().getTime() - this.immutableStart;
document.getElementById("immutableDelete").innerHTML =
"Immutable rendering Time: " + "<b>" + val + "</b>" + "<b>ms</b>";
this.immutableStart = 0;
this.immutableInit = false;
}
addTopEvent() {
this.normalGrid.addRecord(sampleData[0], 0, "Top");
this.immutableGrid.addRecord(sampleData[0], 0, "Top");
}
addBottomEvent() {
this.normalGrid.addRecord(sampleData[0], 0, "Bottom");
this.immutableGrid.addRecord(sampleData[0], 0, "Bottom");
}
deleteEvent() {
this.normalGrid.selectRows([0, 2, 4]);
this.immutableGrid.selectRows([0, 2, 4]);
this.normalGrid.deleteRecord();
this.immutableGrid.deleteRecord();
}
sortEvent() {
let aData = this.immutableGrid.dataSource.reverse();
this.normalGrid.setProperties({ dataSource: aData });
this.immutableGrid.setProperties({ dataSource: aData });
}
pageEvent() {
let page = this.normalGrid.pageSettings.currentPage + 1;
this.normalGrid.goToPage(page);
this.immutableGrid.goToPage(page);
}
beforeDataBound() {
this.normalStart = new Date().getTime();
}
dataBound() {
let val = this.init ? '' : new Date().getTime() - this.normalStart;
document.getElementById("normalDelete").innerHTML =
"Normal rendering Time: " + "<b>" + val + "</b>" + "<b>ms</b>";
this.normalStart = 0;
this.init = false;
}
render() {
if (sampleData2.length == 0) {
dataSource1();
}
return (<div>
<table>
<tbody>
<tr>
<td>
<span id="immutableDelete"></span>
</td>
</tr>
<tr>
<td>
<span id="normalDelete"></span>
</td>
</tr>
<tr>
<td>
<div>
<ButtonComponent ref={topInfo => { this.topBtn = topInfo; }} cssClass='e-info' onClick={this.addTopEvent.bind(this)}>Add row at top</ButtonComponent>
<ButtonComponent ref={bottomInfo => { this.bottomBtn = bottomInfo; }} cssClass='e-info' onClick={this.addBottomEvent.bind(this)}>Add row at bottom</ButtonComponent>
<ButtonComponent ref={deleteInfo => { this.deleteBtn = deleteInfo; }} cssClass='e-info' onClick={this.deleteEvent.bind(this)}>Delete 5 rows</ButtonComponent>
<ButtonComponent ref={sortInfo => { this.sortBtn = sortInfo; }} cssClass='e-info' onClick={this.sortEvent.bind(this)}>Sort Task ID</ButtonComponent>
<ButtonComponent ref={pageInfo => { this.pageBtn = pageInfo; }} cssClass='e-info' onClick={this.pageEvent.bind(this)}>Paging</ButtonComponent>
</div>
</td>
</tr>
<tr>
<td>
<span><b>Immutable Grid</b></span>
<TreeGridComponent ref={immutable => { this.immutableGrid = immutable; }} treeColumnIndex={1} childMapping='subtasks' dataSource={sampleData2} height='350' selectionSettings={this.settings} enableImmutableMode={true} allowPaging={true} pageSettings={this.pageSettings} beforeDataBound={this.immutableBeforeDataBound.bind(this)} dataBound={this.immutableDataBound.bind(this)} editSettings={this.editOptions}>
<ColumnsDirective>
<ColumnDirective field='taskID' headerText='Task ID' width='90' textAlign='Right' isPrimaryKey={true}/>
<ColumnDirective field='taskName' headerText='Task Name' width='180'/>
<ColumnDirective field='priority' headerText='Priority' width='90'/>
<ColumnDirective field='duration' headerText='Duration' width='80' textAlign='Right'/>
</ColumnsDirective>
<Inject services={[Page, Edit]}/>
</TreeGridComponent>
</td>
<td>
<span><b>Normal Grid</b></span>
<TreeGridComponent ref={normal => { this.normalGrid = normal; }} treeColumnIndex={1} childMapping='subtasks' dataSource={sampleData2} allowPaging={true} height='350' pageSettings={this.pageSettings} selectionSettings={this.settings} beforeDataBound={this.beforeDataBound.bind(this)} editSettings={this.editOptions} dataBound={this.dataBound.bind(this)}>
<ColumnsDirective>
<ColumnDirective field='taskID' headerText='Task ID' width='90' textAlign='Right' isPrimaryKey={true}/>
<ColumnDirective field='taskName' headerText='Task Name' width='180'/>
<ColumnDirective field='priority' headerText='Priority' width='90'/>
<ColumnDirective field='duration' headerText='Duration' width='80' textAlign='Right'/>
</ColumnsDirective>
<Inject services={[Page, Edit]}/>
</TreeGridComponent>
</td>
</tr>
</tbody>
</table></div>);
}
}
;
/**
*Sample data
*/
export let virtualData = [];
export function dataSource() {
let parent = -1;
let parentId = null;
let names = ['VINET', 'TOMSP', 'HANAR', 'VICTE', 'SUPRD', 'HANAR', 'CHOPS', 'RICSU', 'WELLI', 'HILAA', 'ERNSH', 'CENTC',
'OTTIK', 'QUEDE', 'RATTC', 'ERNSH', 'FOLKO', 'BLONP', 'WARTH', 'FRANK', 'GROSR', 'WHITC', 'WARTH', 'SPLIR', 'RATTC', 'QUICK', 'VINET',
'MAGAA', 'TORTU', 'MORGK', 'BERGS', 'LEHMS', 'BERGS', 'ROMEY', 'ROMEY', 'LILAS', 'LEHMS', 'QUICK', 'QUICK', 'RICAR', 'REGGC', 'BSBEV',
'COMMI', 'QUEDE', 'TRADH', 'TORTU', 'RATTC', 'VINET', 'LILAS', 'BLONP', 'HUNGO', 'RICAR', 'MAGAA', 'WANDK', 'SUPRD', 'GODOS', 'TORTU',
'OLDWO', 'ROMEY', 'LONEP', 'ANATR', 'HUNGO', 'THEBI', 'DUMON', 'WANDK', 'QUICK', 'RATTC', 'ISLAT', 'RATTC', 'LONEP', 'ISLAT', 'TORTU',
'WARTH', 'ISLAT', 'PERIC', 'KOENE', 'SAVEA', 'KOENE', 'BOLID', 'FOLKO', 'FURIB', 'SPLIR', 'LILAS', 'BONAP', 'MEREP', 'WARTH', 'VICTE',
'HUNGO', 'PRINI', 'FRANK', 'OLDWO', 'MEREP', 'BONAP', 'SIMOB', 'FRANK', 'LEHMS', 'WHITC', 'QUICK', 'RATTC', 'FAMIA'];
for (let i = 0; i < 10000; i++) {
if (i % 5 === 0) {
parent = i;
}
if (i % 5 !== 0) {
let crew = 'Crew';
let num = isNaN((virtualData.length % parent) - 1) ? 0 : (virtualData.length % parent) - 1;
virtualData[num][crew].push({
'TaskID': i + 1,
'FIELD1': names[Math.floor(Math.random() * names.length)],
'FIELD2': 1967 + (i % 10),
'FIELD3': Math.floor(Math.random() * 200),
'FIELD4': Math.floor(Math.random() * 100),
'FIELD5': Math.floor(Math.random() * 2000),
'FIELD6': Math.floor(Math.random() * 1000),
'FIELD7': Math.floor(Math.random() * 100),
'FIELD8': Math.floor(Math.random() * 10),
'FIELD9': Math.floor(Math.random() * 10),
'FIELD10': Math.floor(Math.random() * 100),
'FIELD11': Math.floor(Math.random() * 100),
'FIELD12': Math.floor(Math.random() * 1000),
'FIELD13': Math.floor(Math.random() * 10),
'FIELD14': Math.floor(Math.random() * 10),
'FIELD15': Math.floor(Math.random() * 1000),
'FIELD16': Math.floor(Math.random() * 200),
'FIELD17': Math.floor(Math.random() * 300),
'FIELD18': Math.floor(Math.random() * 400),
'FIELD19': Math.floor(Math.random() * 500),
'FIELD20': Math.floor(Math.random() * 700),
'FIELD21': Math.floor(Math.random() * 800),
'FIELD22': Math.floor(Math.random() * 1000),
'FIELD23': Math.floor(Math.random() * 2000),
'FIELD24': Math.floor(Math.random() * 150),
'FIELD25': Math.floor(Math.random() * 1000),
'FIELD26': Math.floor(Math.random() * 100),
'FIELD27': Math.floor(Math.random() * 400),
'FIELD28': Math.floor(Math.random() * 600),
'FIELD29': Math.floor(Math.random() * 500),
'FIELD30': Math.floor(Math.random() * 300),
});
}
else {
virtualData.push({
'TaskID': i + 1,
'Crew': [],
'FIELD1': names[Math.floor(Math.random() * names.length)],
'FIELD2': 1967 + (i % 10),
'FIELD3': Math.floor(Math.random() * 200),
'FIELD4': Math.floor(Math.random() * 100),
'FIELD5': Math.floor(Math.random() * 2000),
'FIELD6': Math.floor(Math.random() * 1000),
'FIELD7': Math.floor(Math.random() * 100),
'FIELD8': Math.floor(Math.random() * 10),
'FIELD9': Math.floor(Math.random() * 10),
'FIELD10': Math.floor(Math.random() * 100),
'FIELD11': Math.floor(Math.random() * 100),
'FIELD12': Math.floor(Math.random() * 1000),
'FIELD13': Math.floor(Math.random() * 10),
'FIELD14': Math.floor(Math.random() * 10),
'FIELD15': Math.floor(Math.random() * 1000),
'FIELD16': Math.floor(Math.random() * 200),
'FIELD17': Math.floor(Math.random() * 300),
'FIELD18': Math.floor(Math.random() * 400),
'FIELD19': Math.floor(Math.random() * 500),
'FIELD20': Math.floor(Math.random() * 700),
'FIELD21': Math.floor(Math.random() * 800),
'FIELD22': Math.floor(Math.random() * 1000),
'FIELD23': Math.floor(Math.random() * 2000),
'FIELD24': Math.floor(Math.random() * 150),
'FIELD25': Math.floor(Math.random() * 1000),
'FIELD26': Math.floor(Math.random() * 100),
'FIELD27': Math.floor(Math.random() * 400),
'FIELD28': Math.floor(Math.random() * 600),
'FIELD29': Math.floor(Math.random() * 500),
'FIELD30': Math.floor(Math.random() * 300),
});
}
}
}
let stringData = JSON.stringify([
{
'OrderID': 10248,
'CustomerID': 'VINET',
'OrderDate': '1996-07-04T00:00:00.000Z',
'ShippedDate': '1996-07-16T00:00:00.000Z',
'Freight': 32.38,
'ShipName': 'Vins et alcools Chevalier',
'ShipAddress': '59 rue de l\'Abbaye',
'ShipCity': 'Reims',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10249,
'CustomerID': 'TOMSP',
'OrderDate': '1996-07-05T00:00:00.000Z',
'ShippedDate': '1996-07-10T00:00:00.000Z',
'Freight': 11.61,
'ShipName': 'Toms Spezialitäten',
'ShipAddress': 'Luisenstr. 48',
'ShipCity': 'Münster',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10250,
'CustomerID': 'HANAR',
'OrderDate': '1996-07-08T00:00:00.000Z',
'ShippedDate': '1996-07-12T00:00:00.000Z',
'Freight': 65.83,
'ShipName': 'Hanari Carnes',
'ShipAddress': 'Rua do Paço, 67',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10251,
'CustomerID': 'VICTE',
'OrderDate': '1996-07-08T00:00:00.000Z',
'ShippedDate': '1996-07-15T00:00:00.000Z',
'Freight': 41.34,
'ShipName': 'Victuailles en stock',
'ShipAddress': '2, rue du Commerce',
'ShipCity': 'Lyon',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10252,
'CustomerID': 'SUPRD',
'OrderDate': '1996-07-09T00:00:00.000Z',
'ShippedDate': '1996-07-11T00:00:00.000Z',
'Freight': 51.3,
'ShipName': 'Suprêmes délices',
'ShipAddress': 'Boulevard Tirou, 255',
'ShipCity': 'Charleroi',
'ShipRegion': null,
'ShipCountry': 'Belgium'
},
{
'OrderID': 10253,
'CustomerID': 'HANAR',
'OrderDate': '1996-07-10T00:00:00.000Z',
'ShippedDate': '1996-07-16T00:00:00.000Z',
'Freight': 58.17,
'ShipName': 'Hanari Carnes',
'ShipAddress': 'Rua do Paço, 67',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10254,
'CustomerID': 'CHOPS',
'OrderDate': '1996-07-11T00:00:00.000Z',
'ShippedDate': '1996-07-23T00:00:00.000Z',
'Freight': 22.98,
'ShipName': 'Chop-suey Chinese',
'ShipAddress': 'Hauptstr. 31',
'ShipCity': 'Bern',
'ShipRegion': null,
'ShipCountry': 'Switzerland'
},
{
'OrderID': 10255,
'CustomerID': 'RICSU',
'OrderDate': '1996-07-12T00:00:00.000Z',
'ShippedDate': '1996-07-15T00:00:00.000Z',
'Freight': 148.33,
'ShipName': 'Richter Supermarkt',
'ShipAddress': 'Starenweg 5',
'ShipCity': 'Genève',
'ShipRegion': null,
'ShipCountry': 'Switzerland'
},
{
'OrderID': 10256,
'CustomerID': 'WELLI',
'OrderDate': '1996-07-15T00:00:00.000Z',
'ShippedDate': '1996-07-17T00:00:00.000Z',
'Freight': 13.97,
'ShipName': 'Wellington Importadora',
'ShipAddress': 'Rua do Mercado, 12',
'ShipCity': 'Resende',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10257,
'CustomerID': 'HILAA',
'OrderDate': '1996-07-16T00:00:00.000Z',
'ShippedDate': '1996-07-22T00:00:00.000Z',
'Freight': 81.91,
'ShipName': 'HILARION-Abastos',
'ShipAddress': 'Carrera 22 con Ave. Carlos Soublette #8-35',
'ShipCity': 'San Cristóbal',
'ShipRegion': 'Táchira',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10258,
'CustomerID': 'ERNSH',
'OrderDate': '1996-07-17T00:00:00.000Z',
'ShippedDate': '1996-07-23T00:00:00.000Z',
'Freight': 140.51,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10259,
'CustomerID': 'CENTC',
'OrderDate': '1996-07-18T00:00:00.000Z',
'ShippedDate': '1996-07-25T00:00:00.000Z',
'Freight': 3.25,
'ShipName': 'Centro comercial Moctezuma',
'ShipAddress': 'Sierras de Granada 9993',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10260,
'CustomerID': 'OTTIK',
'OrderDate': '1996-07-19T00:00:00.000Z',
'ShippedDate': '1996-07-29T00:00:00.000Z',
'Freight': 55.09,
'ShipName': 'Ottilies Käseladen',
'ShipAddress': 'Mehrheimerstr. 369',
'ShipCity': 'Köln',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10261,
'CustomerID': 'QUEDE',
'OrderDate': '1996-07-19T00:00:00.000Z',
'ShippedDate': '1996-07-30T00:00:00.000Z',
'Freight': 3.05,
'ShipName': 'Que Delícia',
'ShipAddress': 'Rua da Panificadora, 12',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10262,
'CustomerID': 'RATTC',
'OrderDate': '1996-07-22T00:00:00.000Z',
'ShippedDate': '1996-07-25T00:00:00.000Z',
'Freight': 48.29,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10263,
'CustomerID': 'ERNSH',
'OrderDate': '1996-07-23T00:00:00.000Z',
'ShippedDate': '1996-07-31T00:00:00.000Z',
'Freight': 146.06,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10264,
'CustomerID': 'FOLKO',
'OrderDate': '1996-07-24T00:00:00.000Z',
'ShippedDate': '1996-08-23T00:00:00.000Z',
'Freight': 3.67,
'ShipName': 'Folk och fä HB',
'ShipAddress': 'Åkergatan 24',
'ShipCity': 'Bräcke',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10265,
'CustomerID': 'BLONP',
'OrderDate': '1996-07-25T00:00:00.000Z',
'ShippedDate': '1996-08-12T00:00:00.000Z',
'Freight': 55.28,
'ShipName': 'Blondel père et fils',
'ShipAddress': '24, place Kléber',
'ShipCity': 'Strasbourg',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10266,
'CustomerID': 'WARTH',
'OrderDate': '1996-07-26T00:00:00.000Z',
'ShippedDate': '1996-07-31T00:00:00.000Z',
'Freight': 25.73,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10267,
'CustomerID': 'FRANK',
'OrderDate': '1996-07-29T00:00:00.000Z',
'ShippedDate': '1996-08-06T00:00:00.000Z',
'Freight': 208.58,
'ShipName': 'Frankenversand',
'ShipAddress': 'Berliner Platz 43',
'ShipCity': 'München',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10268,
'CustomerID': 'GROSR',
'OrderDate': '1996-07-30T00:00:00.000Z',
'ShippedDate': '1996-08-02T00:00:00.000Z',
'Freight': 66.29,
'ShipName': 'GROSELLA-Restaurante',
'ShipAddress': '5ª Ave. Los Palos Grandes',
'ShipCity': 'Caracas',
'ShipRegion': 'DF',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10269,
'CustomerID': 'WHITC',
'OrderDate': '1996-07-31T00:00:00.000Z',
'ShippedDate': '1996-08-09T00:00:00.000Z',
'Freight': 4.56,
'ShipName': 'White Clover Markets',
'ShipAddress': '1029 - 12th Ave. S.',
'ShipCity': 'Seattle',
'ShipRegion': 'WA',
'ShipCountry': 'USA'
},
{
'OrderID': 10270,
'CustomerID': 'WARTH',
'OrderDate': '1996-08-01T00:00:00.000Z',
'ShippedDate': '1996-08-02T00:00:00.000Z',
'Freight': 136.54,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10271,
'CustomerID': 'SPLIR',
'OrderDate': '1996-08-01T00:00:00.000Z',
'ShippedDate': '1996-08-30T00:00:00.000Z',
'Freight': 4.54,
'ShipName': 'Split Rail Beer & Ale',
'ShipAddress': 'P.O. Box 555',
'ShipCity': 'Lander',
'ShipRegion': 'WY',
'ShipCountry': 'USA'
},
{
'OrderID': 10272,
'CustomerID': 'RATTC',
'OrderDate': '1996-08-02T00:00:00.000Z',
'ShippedDate': '1996-08-06T00:00:00.000Z',
'Freight': 98.03,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10273,
'CustomerID': 'QUICK',
'OrderDate': '1996-08-05T00:00:00.000Z',
'ShippedDate': '1996-08-12T00:00:00.000Z',
'Freight': 76.07,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10274,
'CustomerID': 'VINET',
'OrderDate': '1996-08-06T00:00:00.000Z',
'ShippedDate': '1996-08-16T00:00:00.000Z',
'Freight': 6.01,
'ShipName': 'Vins et alcools Chevalier',
'ShipAddress': '59 rue de l\'Abbaye',
'ShipCity': 'Reims',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10275,
'CustomerID': 'MAGAA',
'OrderDate': '1996-08-07T00:00:00.000Z',
'ShippedDate': '1996-08-09T00:00:00.000Z',
'Freight': 26.93,
'ShipName': 'Magazzini Alimentari Riuniti',
'ShipAddress': 'Via Ludovico il Moro 22',
'ShipCity': 'Bergamo',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10276,
'CustomerID': 'TORTU',
'OrderDate': '1996-08-08T00:00:00.000Z',
'ShippedDate': '1996-08-14T00:00:00.000Z',
'Freight': 13.84,
'ShipName': 'Tortuga Restaurante',
'ShipAddress': 'Avda. Azteca 123',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10277,
'CustomerID': 'MORGK',
'OrderDate': '1996-08-09T00:00:00.000Z',
'ShippedDate': '1996-08-13T00:00:00.000Z',
'Freight': 125.77,
'ShipName': 'Morgenstern Gesundkost',
'ShipAddress': 'Heerstr. 22',
'ShipCity': 'Leipzig',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10278,
'CustomerID': 'BERGS',
'OrderDate': '1996-08-12T00:00:00.000Z',
'ShippedDate': '1996-08-16T00:00:00.000Z',
'Freight': 92.69,
'ShipName': 'Berglunds snabbköp',
'ShipAddress': 'Berguvsvägen 8',
'ShipCity': 'Luleå',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10279,
'CustomerID': 'LEHMS',
'OrderDate': '1996-08-13T00:00:00.000Z',
'ShippedDate': '1996-08-16T00:00:00.000Z',
'Freight': 25.83,
'ShipName': 'Lehmanns Marktstand',
'ShipAddress': 'Magazinweg 7',
'ShipCity': 'Frankfurt a.M.',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10280,
'CustomerID': 'BERGS',
'OrderDate': '1996-08-14T00:00:00.000Z',
'ShippedDate': '1996-09-12T00:00:00.000Z',
'Freight': 8.98,
'ShipName': 'Berglunds snabbköp',
'ShipAddress': 'Berguvsvägen 8',
'ShipCity': 'Luleå',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10281,
'CustomerID': 'ROMEY',
'OrderDate': '1996-08-14T00:00:00.000Z',
'ShippedDate': '1996-08-21T00:00:00.000Z',
'Freight': 2.94,
'ShipName': 'Romero y tomillo',
'ShipAddress': 'Gran Vía, 1',
'ShipCity': 'Madrid',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10282,
'CustomerID': 'ROMEY',
'OrderDate': '1996-08-15T00:00:00.000Z',
'ShippedDate': '1996-08-21T00:00:00.000Z',
'Freight': 12.69,
'ShipName': 'Romero y tomillo',
'ShipAddress': 'Gran Vía, 1',
'ShipCity': 'Madrid',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10283,
'CustomerID': 'LILAS',
'OrderDate': '1996-08-16T00:00:00.000Z',
'ShippedDate': '1996-08-23T00:00:00.000Z',
'Freight': 84.81,
'ShipName': 'LILA-Supermercado',
'ShipAddress': 'Carrera 52 con Ave. Bolívar #65-98 Llano Largo',
'ShipCity': 'Barquisimeto',
'ShipRegion': 'Lara',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10284,
'CustomerID': 'LEHMS',
'OrderDate': '1996-08-19T00:00:00.000Z',
'ShippedDate': '1996-08-27T00:00:00.000Z',
'Freight': 76.56,
'ShipName': 'Lehmanns Marktstand',
'ShipAddress': 'Magazinweg 7',
'ShipCity': 'Frankfurt a.M.',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10285,
'CustomerID': 'QUICK',
'OrderDate': '1996-08-20T00:00:00.000Z',
'ShippedDate': '1996-08-26T00:00:00.000Z',
'Freight': 76.83,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10286,
'CustomerID': 'QUICK',
'OrderDate': '1996-08-21T00:00:00.000Z',
'ShippedDate': '1996-08-30T00:00:00.000Z',
'Freight': 229.24,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10287,
'CustomerID': 'RICAR',
'OrderDate': '1996-08-22T00:00:00.000Z',
'ShippedDate': '1996-08-28T00:00:00.000Z',
'Freight': 12.76,
'ShipName': 'Ricardo Adocicados',
'ShipAddress': 'Av. Copacabana, 267',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10288,
'CustomerID': 'REGGC',
'OrderDate': '1996-08-23T00:00:00.000Z',
'ShippedDate': '1996-09-03T00:00:00.000Z',
'Freight': 7.45,
'ShipName': 'Reggiani Caseifici',
'ShipAddress': 'Strada Provinciale 124',
'ShipCity': 'Reggio Emilia',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10289,
'CustomerID': 'BSBEV',
'OrderDate': '1996-08-26T00:00:00.000Z',
'ShippedDate': '1996-08-28T00:00:00.000Z',
'Freight': 22.77,
'ShipName': 'B\' Beverages',
'ShipAddress': 'Fauntleroy Circus',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10290,
'CustomerID': 'COMMI',
'OrderDate': '1996-08-27T00:00:00.000Z',
'ShippedDate': '1996-09-03T00:00:00.000Z',
'Freight': 79.7,
'ShipName': 'Comércio Mineiro',
'ShipAddress': 'Av. dos Lusíadas, 23',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10291,
'CustomerID': 'QUEDE',
'OrderDate': '1996-08-27T00:00:00.000Z',
'ShippedDate': '1996-09-04T00:00:00.000Z',
'Freight': 6.4,
'ShipName': 'Que Delícia',
'ShipAddress': 'Rua da Panificadora, 12',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10292,
'CustomerID': 'TRADH',
'OrderDate': '1996-08-28T00:00:00.000Z',
'ShippedDate': '1996-09-02T00:00:00.000Z',
'Freight': 1.35,
'ShipName': 'Tradiçao Hipermercados',
'ShipAddress': 'Av. Inês de Castro, 414',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10293,
'CustomerID': 'TORTU',
'OrderDate': '1996-08-29T00:00:00.000Z',
'ShippedDate': '1996-09-11T00:00:00.000Z',
'Freight': 21.18,
'ShipName': 'Tortuga Restaurante',
'ShipAddress': 'Avda. Azteca 123',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10294,
'CustomerID': 'RATTC',
'OrderDate': '1996-08-30T00:00:00.000Z',
'ShippedDate': '1996-09-05T00:00:00.000Z',
'Freight': 147.26,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10295,
'CustomerID': 'VINET',
'OrderDate': '1996-09-02T00:00:00.000Z',
'ShippedDate': '1996-09-10T00:00:00.000Z',
'Freight': 1.15,
'ShipName': 'Vins et alcools Chevalier',
'ShipAddress': '59 rue de l\'Abbaye',
'ShipCity': 'Reims',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10296,
'CustomerID': 'LILAS',
'OrderDate': '1996-09-03T00:00:00.000Z',
'ShippedDate': '1996-09-11T00:00:00.000Z',
'Freight': 0.12,
'ShipName': 'LILA-Supermercado',
'ShipAddress': 'Carrera 52 con Ave. Bolívar #65-98 Llano Largo',
'ShipCity': 'Barquisimeto',
'ShipRegion': 'Lara',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10297,
'CustomerID': 'BLONP',
'OrderDate': '1996-09-04T00:00:00.000Z',
'ShippedDate': '1996-09-10T00:00:00.000Z',
'Freight': 5.74,
'ShipName': 'Blondel père et fils',
'ShipAddress': '24, place Kléber',
'ShipCity': 'Strasbourg',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10298,
'CustomerID': 'HUNGO',
'OrderDate': '1996-09-05T00:00:00.000Z',
'ShippedDate': '1996-09-11T00:00:00.000Z',
'Freight': 168.22,
'ShipName': 'Hungry Owl All-Night Grocers',
'ShipAddress': '8 Johnstown Road',
'ShipCity': 'Cork',
'ShipRegion': 'Co. Cork',
'ShipCountry': 'Ireland'
},
{
'OrderID': 10299,
'CustomerID': 'RICAR',
'OrderDate': '1996-09-06T00:00:00.000Z',
'ShippedDate': '1996-09-13T00:00:00.000Z',
'Freight': 29.76,
'ShipName': 'Ricardo Adocicados',
'ShipAddress': 'Av. Copacabana, 267',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10300,
'CustomerID': 'MAGAA',
'OrderDate': '1996-09-09T00:00:00.000Z',
'ShippedDate': '1996-09-18T00:00:00.000Z',
'Freight': 17.68,
'ShipName': 'Magazzini Alimentari Riuniti',
'ShipAddress': 'Via Ludovico il Moro 22',
'ShipCity': 'Bergamo',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10301,
'CustomerID': 'WANDK',
'OrderDate': '1996-09-09T00:00:00.000Z',
'ShippedDate': '1996-09-17T00:00:00.000Z',
'Freight': 45.08,
'ShipName': 'Die Wandernde Kuh',
'ShipAddress': 'Adenauerallee 900',
'ShipCity': 'Stuttgart',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10302,
'CustomerID': 'SUPRD',
'OrderDate': '1996-09-10T00:00:00.000Z',
'ShippedDate': '1996-10-09T00:00:00.000Z',
'Freight': 6.27,
'ShipName': 'Suprêmes délices',
'ShipAddress': 'Boulevard Tirou, 255',
'ShipCity': 'Charleroi',
'ShipRegion': null,
'ShipCountry': 'Belgium'
},
{
'OrderID': 10303,
'CustomerID': 'GODOS',
'OrderDate': '1996-09-11T00:00:00.000Z',
'ShippedDate': '1996-09-18T00:00:00.000Z',
'Freight': 107.83,
'ShipName': 'Godos Cocina Típica',
'ShipAddress': 'C/ Romero, 33',
'ShipCity': 'Sevilla',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10304,
'CustomerID': 'TORTU',
'OrderDate': '1996-09-12T00:00:00.000Z',
'ShippedDate': '1996-09-17T00:00:00.000Z',
'Freight': 63.79,
'ShipName': 'Tortuga Restaurante',
'ShipAddress': 'Avda. Azteca 123',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10305,
'CustomerID': 'OLDWO',
'OrderDate': '1996-09-13T00:00:00.000Z',
'ShippedDate': '1996-10-09T00:00:00.000Z',
'Freight': 257.62,
'ShipName': 'Old World Delicatessen',
'ShipAddress': '2743 Bering St.',
'ShipCity': 'Anchorage',
'ShipRegion': 'AK',
'ShipCountry': 'USA'
},
{
'OrderID': 10306,
'CustomerID': 'ROMEY',
'OrderDate': '1996-09-16T00:00:00.000Z',
'ShippedDate': '1996-09-23T00:00:00.000Z',
'Freight': 7.56,
'ShipName': 'Romero y tomillo',
'ShipAddress': 'Gran Vía, 1',
'ShipCity': 'Madrid',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10307,
'CustomerID': 'LONEP',
'OrderDate': '1996-09-17T00:00:00.000Z',
'ShippedDate': '1996-09-25T00:00:00.000Z',
'Freight': 0.56,
'ShipName': 'Lonesome Pine Restaurant',
'ShipAddress': '89 Chiaroscuro Rd.',
'ShipCity': 'Portland',
'ShipRegion': 'OR',
'ShipCountry': 'USA'
},
{
'OrderID': 10308,
'CustomerID': 'ANATR',
'OrderDate': '1996-09-18T00:00:00.000Z',
'ShippedDate': '1996-09-24T00:00:00.000Z',
'Freight': 1.61,
'ShipName': 'Ana Trujillo Emparedados y helados',
'ShipAddress': 'Avda. de la Constitución 2222',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10309,
'CustomerID': 'HUNGO',
'OrderDate': '1996-09-19T00:00:00.000Z',
'ShippedDate': '1996-10-23T00:00:00.000Z',
'Freight': 47.3,
'ShipName': 'Hungry Owl All-Night Grocers',
'ShipAddress': '8 Johnstown Road',
'ShipCity': 'Cork',
'ShipRegion': 'Co. Cork',
'ShipCountry': 'Ireland'
},
{
'OrderID': 10310,
'CustomerID': 'THEBI',
'OrderDate': '1996-09-20T00:00:00.000Z',
'ShippedDate': '1996-09-27T00:00:00.000Z',
'Freight': 17.52,
'ShipName': 'The Big Cheese',
'ShipAddress': '89 Jefferson Way Suite 2',
'ShipCity': 'Portland',
'ShipRegion': 'OR',
'ShipCountry': 'USA'
},
{
'OrderID': 10311,
'CustomerID': 'DUMON',
'OrderDate': '1996-09-20T00:00:00.000Z',
'ShippedDate': '1996-09-26T00:00:00.000Z',
'Freight': 24.69,
'ShipName': 'Du monde entier',
'ShipAddress': '67, rue des Cinquante Otages',
'ShipCity': 'Nantes',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10312,
'CustomerID': 'WANDK',
'OrderDate': '1996-09-23T00:00:00.000Z',
'ShippedDate': '1996-10-03T00:00:00.000Z',
'Freight': 40.26,
'ShipName': 'Die Wandernde Kuh',
'ShipAddress': 'Adenauerallee 900',
'ShipCity': 'Stuttgart',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10313,
'CustomerID': 'QUICK',
'OrderDate': '1996-09-24T00:00:00.000Z',
'ShippedDate': '1996-10-04T00:00:00.000Z',
'Freight': 1.96,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10314,
'CustomerID': 'RATTC',
'OrderDate': '1996-09-25T00:00:00.000Z',
'ShippedDate': '1996-10-04T00:00:00.000Z',
'Freight': 74.16,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10315,
'CustomerID': 'ISLAT',
'OrderDate': '1996-09-26T00:00:00.000Z',
'ShippedDate': '1996-10-03T00:00:00.000Z',
'Freight': 41.76,
'ShipName': 'Island Trading',
'ShipAddress': 'Garden House Crowther Way',
'ShipCity': 'Cowes',
'ShipRegion': 'Isle of Wight',
'ShipCountry': 'UK'
},
{
'OrderID': 10316,
'CustomerID': 'RATTC',
'OrderDate': '1996-09-27T00:00:00.000Z',
'ShippedDate': '1996-10-08T00:00:00.000Z',
'Freight': 150.15,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10317,
'CustomerID': 'LONEP',
'OrderDate': '1996-09-30T00:00:00.000Z',
'ShippedDate': '1996-10-10T00:00:00.000Z',
'Freight': 12.69,
'ShipName': 'Lonesome Pine Restaurant',
'ShipAddress': '89 Chiaroscuro Rd.',
'ShipCity': 'Portland',
'ShipRegion': 'OR',
'ShipCountry': 'USA'
},
{
'OrderID': 10318,
'CustomerID': 'ISLAT',
'OrderDate': '1996-10-01T00:00:00.000Z',
'ShippedDate': '1996-10-04T00:00:00.000Z',
'Freight': 4.73,
'ShipName': 'Island Trading',
'ShipAddress': 'Garden House Crowther Way',
'ShipCity': 'Cowes',
'ShipRegion': 'Isle of Wight',
'ShipCountry': 'UK'
},
{
'OrderID': 10319,
'CustomerID': 'TORTU',
'OrderDate': '1996-10-02T00:00:00.000Z',
'ShippedDate': '1996-10-11T00:00:00.000Z',
'Freight': 64.5,
'ShipName': 'Tortuga Restaurante',
'ShipAddress': 'Avda. Azteca 123',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10320,
'CustomerID': 'WARTH',
'OrderDate': '1996-10-03T00:00:00.000Z',
'ShippedDate': '1996-10-18T00:00:00.000Z',
'Freight': 34.57,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10321,
'CustomerID': 'ISLAT',
'OrderDate': '1996-10-03T00:00:00.000Z',
'ShippedDate': '1996-10-11T00:00:00.000Z',
'Freight': 3.43,
'ShipName': 'Island Trading',
'ShipAddress': 'Garden House Crowther Way',
'ShipCity': 'Cowes',
'ShipRegion': 'Isle of Wight',
'ShipCountry': 'UK'
},
{
'OrderID': 10322,
'CustomerID': 'PERIC',
'OrderDate': '1996-10-04T00:00:00.000Z',
'ShippedDate': '1996-10-23T00:00:00.000Z',
'Freight': 0.4,
'ShipName': 'Pericles Comidas clásicas',
'ShipAddress': 'Calle Dr. Jorge Cash 321',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10323,
'CustomerID': 'KOENE',
'OrderDate': '1996-10-07T00:00:00.000Z',
'ShippedDate': '1996-10-14T00:00:00.000Z',
'Freight': 4.88,
'ShipName': 'Königlich Essen',
'ShipAddress': 'Maubelstr. 90',
'ShipCity': 'Brandenburg',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10324,
'CustomerID': 'SAVEA',
'OrderDate': '1996-10-08T00:00:00.000Z',
'ShippedDate': '1996-10-10T00:00:00.000Z',
'Freight': 214.27,
'ShipName': 'Save-a-lot Markets',
'ShipAddress': '187 Suffolk Ln.',
'ShipCity': 'Boise',
'ShipRegion': 'ID',
'ShipCountry': 'USA'
},
{
'OrderID': 10325,
'CustomerID': 'KOENE',
'OrderDate': '1996-10-09T00:00:00.000Z',
'ShippedDate': '1996-10-14T00:00:00.000Z',
'Freight': 64.86,
'ShipName': 'Königlich Essen',
'ShipAddress': 'Maubelstr. 90',
'ShipCity': 'Brandenburg',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10326,
'CustomerID': 'BOLID',
'OrderDate': '1996-10-10T00:00:00.000Z',
'ShippedDate': '1996-10-14T00:00:00.000Z',
'Freight': 77.92,
'ShipName': 'Bólido Comidas preparadas',
'ShipAddress': 'C/ Araquil, 67',
'ShipCity': 'Madrid',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10327,
'CustomerID': 'FOLKO',
'OrderDate': '1996-10-11T00:00:00.000Z',
'ShippedDate': '1996-10-14T00:00:00.000Z',
'Freight': 63.36,
'ShipName': 'Folk och fä HB',
'ShipAddress': 'Åkergatan 24',
'ShipCity': 'Bräcke',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10328,
'CustomerID': 'FURIB',
'OrderDate': '1996-10-14T00:00:00.000Z',
'ShippedDate': '1996-10-17T00:00:00.000Z',
'Freight': 87.03,
'ShipName': 'Furia Bacalhau e Frutos do Mar',
'ShipAddress': 'Jardim das rosas n. 32',
'ShipCity': 'Lisboa',
'ShipRegion': null,
'ShipCountry': 'Portugal'
},
{
'OrderID': 10329,
'CustomerID': 'SPLIR',
'OrderDate': '1996-10-15T00:00:00.000Z',
'ShippedDate': '1996-10-23T00:00:00.000Z',
'Freight': 191.67,
'ShipName': 'Split Rail Beer & Ale',
'ShipAddress': 'P.O. Box 555',
'ShipCity': 'Lander',
'ShipRegion': 'WY',
'ShipCountry': 'USA'
},
{
'OrderID': 10330,
'CustomerID': 'LILAS',
'OrderDate': '1996-10-16T00:00:00.000Z',
'ShippedDate': '1996-10-28T00:00:00.000Z',
'Freight': 12.75,
'ShipName': 'LILA-Supermercado',
'ShipAddress': 'Carrera 52 con Ave. Bolívar #65-98 Llano Largo',
'ShipCity': 'Barquisimeto',
'ShipRegion': 'Lara',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10331,
'CustomerID': 'BONAP',
'OrderDate': '1996-10-16T00:00:00.000Z',
'ShippedDate': '1996-10-21T00:00:00.000Z',
'Freight': 10.19,
'ShipName': 'Bon app',
'ShipAddress': '12, rue des Bouchers',
'ShipCity': 'Marseille',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10332,
'CustomerID': 'MEREP',
'OrderDate': '1996-10-17T00:00:00.000Z',
'ShippedDate': '1996-10-21T00:00:00.000Z',
'Freight': 52.84,
'ShipName': 'Mère Paillarde',
'ShipAddress': '43 rue St. Laurent',
'ShipCity': 'Montréal',
'ShipRegion': 'Québec',
'ShipCountry': 'Canada'
},
{
'OrderID': 10333,
'CustomerID': 'WARTH',
'OrderDate': '1996-10-18T00:00:00.000Z',
'ShippedDate': '1996-10-25T00:00:00.000Z',
'Freight': 0.59,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10334,
'CustomerID': 'VICTE',
'OrderDate': '1996-10-21T00:00:00.000Z',
'ShippedDate': '1996-10-28T00:00:00.000Z',
'Freight': 8.56,
'ShipName': 'Victuailles en stock',
'ShipAddress': '2, rue du Commerce',
'ShipCity': 'Lyon',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10335,
'CustomerID': 'HUNGO',
'OrderDate': '1996-10-22T00:00:00.000Z',
'ShippedDate': '1996-10-24T00:00:00.000Z',
'Freight': 42.11,
'ShipName': 'Hungry Owl All-Night Grocers',
'ShipAddress': '8 Johnstown Road',
'ShipCity': 'Cork',
'ShipRegion': 'Co. Cork',
'ShipCountry': 'Ireland'
},
{
'OrderID': 10336,
'CustomerID': 'PRINI',
'OrderDate': '1996-10-23T00:00:00.000Z',
'ShippedDate': '1996-10-25T00:00:00.000Z',
'Freight': 15.51,
'ShipName': 'Princesa Isabel Vinhos',
'ShipAddress': 'Estrada da saúde n. 58',
'ShipCity': 'Lisboa',
'ShipRegion': null,
'ShipCountry': 'Portugal'
},
{
'OrderID': 10337,
'CustomerID': 'FRANK',
'OrderDate': '1996-10-24T00:00:00.000Z',
'ShippedDate': '1996-10-29T00:00:00.000Z',
'Freight': 108.26,
'ShipName': 'Frankenversand',
'ShipAddress': 'Berliner Platz 43',
'ShipCity': 'München',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10338,
'CustomerID': 'OLDWO',
'OrderDate': '1996-10-25T00:00:00.000Z',
'ShippedDate': '1996-10-29T00:00:00.000Z',
'Freight': 84.21,
'ShipName': 'Old World Delicatessen',
'ShipAddress': '2743 Bering St.',
'ShipCity': 'Anchorage',
'ShipRegion': 'AK',
'ShipCountry': 'USA'
},
{
'OrderID': 10339,
'CustomerID': 'MEREP',
'OrderDate': '1996-10-28T00:00:00.000Z',
'ShippedDate': '1996-11-04T00:00:00.000Z',
'Freight': 15.66,
'ShipName': 'Mère Paillarde',
'ShipAddress': '43 rue St. Laurent',
'ShipCity': 'Montréal',
'ShipRegion': 'Québec',
'ShipCountry': 'Canada'
},
{
'OrderID': 10340,
'CustomerID': 'BONAP',
'OrderDate': '1996-10-29T00:00:00.000Z',
'ShippedDate': '1996-11-08T00:00:00.000Z',
'Freight': 166.31,
'ShipName': 'Bon app',
'ShipAddress': '12, rue des Bouchers',
'ShipCity': 'Marseille',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10341,
'CustomerID': 'SIMOB',
'OrderDate': '1996-10-29T00:00:00.000Z',
'ShippedDate': '1996-11-05T00:00:00.000Z',
'Freight': 26.78,
'ShipName': 'Simons bistro',
'ShipAddress': 'Vinbæltet 34',
'ShipCity': 'Kobenhavn',
'ShipRegion': null,
'ShipCountry': 'Denmark'
},
{
'OrderID': 10342,
'CustomerID': 'FRANK',
'OrderDate': '1996-10-30T00:00:00.000Z',
'ShippedDate': '1996-11-04T00:00:00.000Z',
'Freight': 54.83,
'ShipName': 'Frankenversand',
'ShipAddress': 'Berliner Platz 43',
'ShipCity': 'München',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10343,
'CustomerID': 'LEHMS',
'OrderDate': '1996-10-31T00:00:00.000Z',
'ShippedDate': '1996-11-06T00:00:00.000Z',
'Freight': 110.37,
'ShipName': 'Lehmanns Marktstand',
'ShipAddress': 'Magazinweg 7',
'ShipCity': 'Frankfurt a.M.',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10344,
'CustomerID': 'WHITC',
'OrderDate': '1996-11-01T00:00:00.000Z',
'ShippedDate': '1996-11-05T00:00:00.000Z',
'Freight': 23.29,
'ShipName': 'White Clover Markets',
'ShipAddress': '1029 - 12th Ave. S.',
'ShipCity': 'Seattle',
'ShipRegion': 'WA',
'ShipCountry': 'USA'
},
{
'OrderID': 10345,
'CustomerID': 'QUICK',
'OrderDate': '1996-11-04T00:00:00.000Z',
'ShippedDate': '1996-11-11T00:00:00.000Z',
'Freight': 249.06,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10346,
'CustomerID': 'RATTC',
'OrderDate': '1996-11-05T00:00:00.000Z',
'ShippedDate': '1996-11-08T00:00:00.000Z',
'Freight': 142.08,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10347,
'CustomerID': 'FAMIA',
'OrderDate': '1996-11-06T00:00:00.000Z',
'ShippedDate': '1996-11-08T00:00:00.000Z',
'Freight': 3.1,
'ShipName': 'Familia Arquibaldo',
'ShipAddress': 'Rua Orós, 92',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10348,
'CustomerID': 'WANDK',
'OrderDate': '1996-11-07T00:00:00.000Z',
'ShippedDate': '1996-11-15T00:00:00.000Z',
'Freight': 0.78,
'ShipName': 'Die Wandernde Kuh',
'ShipAddress': 'Adenauerallee 900',
'ShipCity': 'Stuttgart',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10349,
'CustomerID': 'SPLIR',
'OrderDate': '1996-11-08T00:00:00.000Z',
'ShippedDate': '1996-11-15T00:00:00.000Z',
'Freight': 8.63,
'ShipName': 'Split Rail Beer & Ale',
'ShipAddress': 'P.O. Box 555',
'ShipCity': 'Lander',
'ShipRegion': 'WY',
'ShipCountry': 'USA'
},
{
'OrderID': 10350,
'CustomerID': 'LAMAI',
'OrderDate': '1996-11-11T00:00:00.000Z',
'ShippedDate': '1996-12-03T00:00:00.000Z',
'Freight': 64.19,
'ShipName': 'La maison d\'Asie',
'ShipAddress': '1 rue Alsace-Lorraine',
'ShipCity': 'Toulouse',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10351,
'CustomerID': 'ERNSH',
'OrderDate': '1996-11-11T00:00:00.000Z',
'ShippedDate': '1996-11-20T00:00:00.000Z',
'Freight': 162.33,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10352,
'CustomerID': 'FURIB',
'OrderDate': '1996-11-12T00:00:00.000Z',
'ShippedDate': '1996-11-18T00:00:00.000Z',
'Freight': 1.3,
'ShipName': 'Furia Bacalhau e Frutos do Mar',
'ShipAddress': 'Jardim das rosas n. 32',
'ShipCity': 'Lisboa',
'ShipRegion': null,
'ShipCountry': 'Portugal'
},
{
'OrderID': 10353,
'CustomerID': 'PICCO',
'OrderDate': '1996-11-13T00:00:00.000Z',
'ShippedDate': '1996-11-25T00:00:00.000Z',
'Freight': 360.63,
'ShipName': 'Piccolo und mehr',
'ShipAddress': 'Geislweg 14',
'ShipCity': 'Salzburg',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10354,
'CustomerID': 'PERIC',
'OrderDate': '1996-11-14T00:00:00.000Z',
'ShippedDate': '1996-11-20T00:00:00.000Z',
'Freight': 53.8,
'ShipName': 'Pericles Comidas clásicas',
'ShipAddress': 'Calle Dr. Jorge Cash 321',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10355,
'CustomerID': 'AROUT',
'OrderDate': '1996-11-15T00:00:00.000Z',
'ShippedDate': '1996-11-20T00:00:00.000Z',
'Freight': 41.95,
'ShipName': 'Around the Horn',
'ShipAddress': 'Brook Farm Stratford St. Mary',
'ShipCity': 'Colchester',
'ShipRegion': 'Essex',
'ShipCountry': 'UK'
},
{
'OrderID': 10356,
'CustomerID': 'WANDK',
'OrderDate': '1996-11-18T00:00:00.000Z',
'ShippedDate': '1996-11-27T00:00:00.000Z',
'Freight': 36.71,
'ShipName': 'Die Wandernde Kuh',
'ShipAddress': 'Adenauerallee 900',
'ShipCity': 'Stuttgart',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10357,
'CustomerID': 'LILAS',
'OrderDate': '1996-11-19T00:00:00.000Z',
'ShippedDate': '1996-12-02T00:00:00.000Z',
'Freight': 34.88,
'ShipName': 'LILA-Supermercado',
'ShipAddress': 'Carrera 52 con Ave. Bolívar #65-98 Llano Largo',
'ShipCity': 'Barquisimeto',
'ShipRegion': 'Lara',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10358,
'CustomerID': 'LAMAI',
'OrderDate': '1996-11-20T00:00:00.000Z',
'ShippedDate': '1996-11-27T00:00:00.000Z',
'Freight': 19.64,
'ShipName': 'La maison d\'Asie',
'ShipAddress': '1 rue Alsace-Lorraine',
'ShipCity': 'Toulouse',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10359,
'CustomerID': 'SEVES',
'OrderDate': '1996-11-21T00:00:00.000Z',
'ShippedDate': '1996-11-26T00:00:00.000Z',
'Freight': 288.43,
'ShipName': 'Seven Seas Imports',
'ShipAddress': '90 Wadhurst Rd.',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10360,
'CustomerID': 'BLONP',
'OrderDate': '1996-11-22T00:00:00.000Z',
'ShippedDate': '1996-12-02T00:00:00.000Z',
'Freight': 131.7,
'ShipName': 'Blondel père et fils',
'ShipAddress': '24, place Kléber',
'ShipCity': 'Strasbourg',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10361,
'CustomerID': 'QUICK',
'OrderDate': '1996-11-22T00:00:00.000Z',
'ShippedDate': '1996-12-03T00:00:00.000Z',
'Freight': 183.17,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10362,
'CustomerID': 'BONAP',
'OrderDate': '1996-11-25T00:00:00.000Z',
'ShippedDate': '1996-11-28T00:00:00.000Z',
'Freight': 96.04,
'ShipName': 'Bon app',
'ShipAddress': '12, rue des Bouchers',
'ShipCity': 'Marseille',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10363,
'CustomerID': 'DRACD',
'OrderDate': '1996-11-26T00:00:00.000Z',
'ShippedDate': '1996-12-04T00:00:00.000Z',
'Freight': 30.54,
'ShipName': 'Drachenblut Delikatessen',
'ShipAddress': 'Walserweg 21',
'ShipCity': 'Aachen',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10364,
'CustomerID': 'EASTC',
'OrderDate': '1996-11-26T00:00:00.000Z',
'ShippedDate': '1996-12-04T00:00:00.000Z',
'Freight': 71.97,
'ShipName': 'Eastern Connection',
'ShipAddress': '35 King George',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10365,
'CustomerID': 'ANTON',
'OrderDate': '1996-11-27T00:00:00.000Z',
'ShippedDate': '1996-12-02T00:00:00.000Z',
'Freight': 22,
'ShipName': 'Antonio Moreno Taquería',
'ShipAddress': 'Mataderos 2312',
'ShipCity': 'México D.F.',
'ShipRegion': null,
'ShipCountry': 'Mexico'
},
{
'OrderID': 10366,
'CustomerID': 'GALED',
'OrderDate': '1996-11-28T00:00:00.000Z',
'ShippedDate': '1996-12-30T00:00:00.000Z',
'Freight': 10.14,
'ShipName': 'Galería del gastronómo',
'ShipAddress': 'Rambla de Cataluña, 23',
'ShipCity': 'Barcelona',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10367,
'CustomerID': 'VAFFE',
'OrderDate': '1996-11-28T00:00:00.000Z',
'ShippedDate': '1996-12-02T00:00:00.000Z',
'Freight': 13.55,
'ShipName': 'Vaffeljernet',
'ShipAddress': 'Smagsloget 45',
'ShipCity': 'Århus',
'ShipRegion': null,
'ShipCountry': 'Denmark'
},
{
'OrderID': 10368,
'CustomerID': 'ERNSH',
'OrderDate': '1996-11-29T00:00:00.000Z',
'ShippedDate': '1996-12-02T00:00:00.000Z',
'Freight': 101.95,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10369,
'CustomerID': 'SPLIR',
'OrderDate': '1996-12-02T00:00:00.000Z',
'ShippedDate': '1996-12-09T00:00:00.000Z',
'Freight': 195.68,
'ShipName': 'Split Rail Beer & Ale',
'ShipAddress': 'P.O. Box 555',
'ShipCity': 'Lander',
'ShipRegion': 'WY',
'ShipCountry': 'USA'
},
{
'OrderID': 10370,
'CustomerID': 'CHOPS',
'OrderDate': '1996-12-03T00:00:00.000Z',
'ShippedDate': '1996-12-27T00:00:00.000Z',
'Freight': 1.17,
'ShipName': 'Chop-suey Chinese',
'ShipAddress': 'Hauptstr. 31',
'ShipCity': 'Bern',
'ShipRegion': null,
'ShipCountry': 'Switzerland'
},
{
'OrderID': 10371,
'CustomerID': 'LAMAI',
'OrderDate': '1996-12-03T00:00:00.000Z',
'ShippedDate': '1996-12-24T00:00:00.000Z',
'Freight': 0.45,
'ShipName': 'La maison d\'Asie',
'ShipAddress': '1 rue Alsace-Lorraine',
'ShipCity': 'Toulouse',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10372,
'CustomerID': 'QUEEN',
'OrderDate': '1996-12-04T00:00:00.000Z',
'ShippedDate': '1996-12-09T00:00:00.000Z',
'Freight': 890.78,
'ShipName': 'Queen Cozinha',
'ShipAddress': 'Alameda dos Canàrios, 891',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10373,
'CustomerID': 'HUNGO',
'OrderDate': '1996-12-05T00:00:00.000Z',
'ShippedDate': '1996-12-11T00:00:00.000Z',
'Freight': 124.12,
'ShipName': 'Hungry Owl All-Night Grocers',
'ShipAddress': '8 Johnstown Road',
'ShipCity': 'Cork',
'ShipRegion': 'Co. Cork',
'ShipCountry': 'Ireland'
},
{
'OrderID': 10374,
'CustomerID': 'WOLZA',
'OrderDate': '1996-12-05T00:00:00.000Z',
'ShippedDate': '1996-12-09T00:00:00.000Z',
'Freight': 3.94,
'ShipName': 'Wolski Zajazd',
'ShipAddress': 'ul. Filtrowa 68',
'ShipCity': 'Warszawa',
'ShipRegion': null,
'ShipCountry': 'Poland'
},
{
'OrderID': 10375,
'CustomerID': 'HUNGC',
'OrderDate': '1996-12-06T00:00:00.000Z',
'ShippedDate': '1996-12-09T00:00:00.000Z',
'Freight': 20.12,
'ShipName': 'Hungry Coyote Import Store',
'ShipAddress': 'City Center Plaza 516 Main St.',
'ShipCity': 'Elgin',
'ShipRegion': 'OR',
'ShipCountry': 'USA'
},
{
'OrderID': 10376,
'CustomerID': 'MEREP',
'OrderDate': '1996-12-09T00:00:00.000Z',
'ShippedDate': '1996-12-13T00:00:00.000Z',
'Freight': 20.39,
'ShipName': 'Mère Paillarde',
'ShipAddress': '43 rue St. Laurent',
'ShipCity': 'Montréal',
'ShipRegion': 'Québec',
'ShipCountry': 'Canada'
},
{
'OrderID': 10377,
'CustomerID': 'SEVES',
'OrderDate': '1996-12-09T00:00:00.000Z',
'ShippedDate': '1996-12-13T00:00:00.000Z',
'Freight': 22.21,
'ShipName': 'Seven Seas Imports',
'ShipAddress': '90 Wadhurst Rd.',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10378,
'CustomerID': 'FOLKO',
'OrderDate': '1996-12-10T00:00:00.000Z',
'ShippedDate': '1996-12-19T00:00:00.000Z',
'Freight': 5.44,
'ShipName': 'Folk och fä HB',
'ShipAddress': 'Åkergatan 24',
'ShipCity': 'Bräcke',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10379,
'CustomerID': 'QUEDE',
'OrderDate': '1996-12-11T00:00:00.000Z',
'ShippedDate': '1996-12-13T00:00:00.000Z',
'Freight': 45.03,
'ShipName': 'Que Delícia',
'ShipAddress': 'Rua da Panificadora, 12',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10380,
'CustomerID': 'HUNGO',
'OrderDate': '1996-12-12T00:00:00.000Z',
'ShippedDate': '1997-01-16T00:00:00.000Z',
'Freight': 35.03,
'ShipName': 'Hungry Owl All-Night Grocers',
'ShipAddress': '8 Johnstown Road',
'ShipCity': 'Cork',
'ShipRegion': 'Co. Cork',
'ShipCountry': 'Ireland'
},
{
'OrderID': 10381,
'CustomerID': 'LILAS',
'OrderDate': '1996-12-12T00:00:00.000Z',
'ShippedDate': '1996-12-13T00:00:00.000Z',
'Freight': 7.99,
'ShipName': 'LILA-Supermercado',
'ShipAddress': 'Carrera 52 con Ave. Bolívar #65-98 Llano Largo',
'ShipCity': 'Barquisimeto',
'ShipRegion': 'Lara',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10382,
'CustomerID': 'ERNSH',
'OrderDate': '1996-12-13T00:00:00.000Z',
'ShippedDate': '1996-12-16T00:00:00.000Z',
'Freight': 94.77,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10383,
'CustomerID': 'AROUT',
'OrderDate': '1996-12-16T00:00:00.000Z',
'ShippedDate': '1996-12-18T00:00:00.000Z',
'Freight': 34.24,
'ShipName': 'Around the Horn',
'ShipAddress': 'Brook Farm Stratford St. Mary',
'ShipCity': 'Colchester',
'ShipRegion': 'Essex',
'ShipCountry': 'UK'
},
{
'OrderID': 10384,
'CustomerID': 'BERGS',
'OrderDate': '1996-12-16T00:00:00.000Z',
'ShippedDate': '1996-12-20T00:00:00.000Z',
'Freight': 168.64,
'ShipName': 'Berglunds snabbköp',
'ShipAddress': 'Berguvsvägen 8',
'ShipCity': 'Luleå',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10385,
'CustomerID': 'SPLIR',
'OrderDate': '1996-12-17T00:00:00.000Z',
'ShippedDate': '1996-12-23T00:00:00.000Z',
'Freight': 30.96,
'ShipName': 'Split Rail Beer & Ale',
'ShipAddress': 'P.O. Box 555',
'ShipCity': 'Lander',
'ShipRegion': 'WY',
'ShipCountry': 'USA'
},
{
'OrderID': 10386,
'CustomerID': 'FAMIA',
'OrderDate': '1996-12-18T00:00:00.000Z',
'ShippedDate': '1996-12-25T00:00:00.000Z',
'Freight': 13.99,
'ShipName': 'Familia Arquibaldo',
'ShipAddress': 'Rua Orós, 92',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10387,
'CustomerID': 'SANTG',
'OrderDate': '1996-12-18T00:00:00.000Z',
'ShippedDate': '1996-12-20T00:00:00.000Z',
'Freight': 93.63,
'ShipName': 'Santé Gourmet',
'ShipAddress': 'Erling Skakkes gate 78',
'ShipCity': 'Stavern',
'ShipRegion': null,
'ShipCountry': 'Norway'
},
{
'OrderID': 10388,
'CustomerID': 'SEVES',
'OrderDate': '1996-12-19T00:00:00.000Z',
'ShippedDate': '1996-12-20T00:00:00.000Z',
'Freight': 34.86,
'ShipName': 'Seven Seas Imports',
'ShipAddress': '90 Wadhurst Rd.',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10389,
'CustomerID': 'BOTTM',
'OrderDate': '1996-12-20T00:00:00.000Z',
'ShippedDate': '1996-12-24T00:00:00.000Z',
'Freight': 47.42,
'ShipName': 'Bottom-Dollar Markets',
'ShipAddress': '23 Tsawassen Blvd.',
'ShipCity': 'Tsawassen',
'ShipRegion': 'BC',
'ShipCountry': 'Canada'
},
{
'OrderID': 10390,
'CustomerID': 'ERNSH',
'OrderDate': '1996-12-23T00:00:00.000Z',
'ShippedDate': '1996-12-26T00:00:00.000Z',
'Freight': 126.38,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10391,
'CustomerID': 'DRACD',
'OrderDate': '1996-12-23T00:00:00.000Z',
'ShippedDate': '1996-12-31T00:00:00.000Z',
'Freight': 5.45,
'ShipName': 'Drachenblut Delikatessen',
'ShipAddress': 'Walserweg 21',
'ShipCity': 'Aachen',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10392,
'CustomerID': 'PICCO',
'OrderDate': '1996-12-24T00:00:00.000Z',
'ShippedDate': '1997-01-01T00:00:00.000Z',
'Freight': 122.46,
'ShipName': 'Piccolo und mehr',
'ShipAddress': 'Geislweg 14',
'ShipCity': 'Salzburg',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10393,
'CustomerID': 'SAVEA',
'OrderDate': '1996-12-25T00:00:00.000Z',
'ShippedDate': '1997-01-03T00:00:00.000Z',
'Freight': 126.56,
'ShipName': 'Save-a-lot Markets',
'ShipAddress': '187 Suffolk Ln.',
'ShipCity': 'Boise',
'ShipRegion': 'ID',
'ShipCountry': 'USA'
},
{
'OrderID': 10394,
'CustomerID': 'HUNGC',
'OrderDate': '1996-12-25T00:00:00.000Z',
'ShippedDate': '1997-01-03T00:00:00.000Z',
'Freight': 30.34,
'ShipName': 'Hungry Coyote Import Store',
'ShipAddress': 'City Center Plaza 516 Main St.',
'ShipCity': 'Elgin',
'ShipRegion': 'OR',
'ShipCountry': 'USA'
},
{
'OrderID': 10395,
'CustomerID': 'HILAA',
'OrderDate': '1996-12-26T00:00:00.000Z',
'ShippedDate': '1997-01-03T00:00:00.000Z',
'Freight': 184.41,
'ShipName': 'HILARION-Abastos',
'ShipAddress': 'Carrera 22 con Ave. Carlos Soublette #8-35',
'ShipCity': 'San Cristóbal',
'ShipRegion': 'Táchira',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10396,
'CustomerID': 'FRANK',
'OrderDate': '1996-12-27T00:00:00.000Z',
'ShippedDate': '1997-01-06T00:00:00.000Z',
'Freight': 135.35,
'ShipName': 'Frankenversand',
'ShipAddress': 'Berliner Platz 43',
'ShipCity': 'München',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10397,
'CustomerID': 'PRINI',
'OrderDate': '1996-12-27T00:00:00.000Z',
'ShippedDate': '1997-01-02T00:00:00.000Z',
'Freight': 60.26,
'ShipName': 'Princesa Isabel Vinhos',
'ShipAddress': 'Estrada da saúde n. 58',
'ShipCity': 'Lisboa',
'ShipRegion': null,
'ShipCountry': 'Portugal'
},
{
'OrderID': 10398,
'CustomerID': 'SAVEA',
'OrderDate': '1996-12-30T00:00:00.000Z',
'ShippedDate': '1997-01-09T00:00:00.000Z',
'Freight': 89.16,
'ShipName': 'Save-a-lot Markets',
'ShipAddress': '187 Suffolk Ln.',
'ShipCity': 'Boise',
'ShipRegion': 'ID',
'ShipCountry': 'USA'
},
{
'OrderID': 10399,
'CustomerID': 'VAFFE',
'OrderDate': '1996-12-31T00:00:00.000Z',
'ShippedDate': '1997-01-08T00:00:00.000Z',
'Freight': 27.36,
'ShipName': 'Vaffeljernet',
'ShipAddress': 'Smagsloget 45',
'ShipCity': 'Århus',
'ShipRegion': null,
'ShipCountry': 'Denmark'
},
{
'OrderID': 10400,
'CustomerID': 'EASTC',
'OrderDate': '1997-01-01T00:00:00.000Z',
'ShippedDate': '1997-01-16T00:00:00.000Z',
'Freight': 83.93,
'ShipName': 'Eastern Connection',
'ShipAddress': '35 King George',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10401,
'CustomerID': 'RATTC',
'OrderDate': '1997-01-01T00:00:00.000Z',
'ShippedDate': '1997-01-10T00:00:00.000Z',
'Freight': 12.51,
'ShipName': 'Rattlesnake Canyon Grocery',
'ShipAddress': '2817 Milton Dr.',
'ShipCity': 'Albuquerque',
'ShipRegion': 'NM',
'ShipCountry': 'USA'
},
{
'OrderID': 10402,
'CustomerID': 'ERNSH',
'OrderDate': '1997-01-02T00:00:00.000Z',
'ShippedDate': '1997-01-10T00:00:00.000Z',
'Freight': 67.88,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10403,
'CustomerID': 'ERNSH',
'OrderDate': '1997-01-03T00:00:00.000Z',
'ShippedDate': '1997-01-09T00:00:00.000Z',
'Freight': 73.79,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10404,
'CustomerID': 'MAGAA',
'OrderDate': '1997-01-03T00:00:00.000Z',
'ShippedDate': '1997-01-08T00:00:00.000Z',
'Freight': 155.97,
'ShipName': 'Magazzini Alimentari Riuniti',
'ShipAddress': 'Via Ludovico il Moro 22',
'ShipCity': 'Bergamo',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10405,
'CustomerID': 'LINOD',
'OrderDate': '1997-01-06T00:00:00.000Z',
'ShippedDate': '1997-01-22T00:00:00.000Z',
'Freight': 34.82,
'ShipName': 'LINO-Delicateses',
'ShipAddress': 'Ave. 5 de Mayo Porlamar',
'ShipCity': 'I. de Margarita',
'ShipRegion': 'Nueva Esparta',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10406,
'CustomerID': 'QUEEN',
'OrderDate': '1997-01-07T00:00:00.000Z',
'ShippedDate': '1997-01-13T00:00:00.000Z',
'Freight': 108.04,
'ShipName': 'Queen Cozinha',
'ShipAddress': 'Alameda dos Canàrios, 891',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10407,
'CustomerID': 'OTTIK',
'OrderDate': '1997-01-07T00:00:00.000Z',
'ShippedDate': '1997-01-30T00:00:00.000Z',
'Freight': 91.48,
'ShipName': 'Ottilies Käseladen',
'ShipAddress': 'Mehrheimerstr. 369',
'ShipCity': 'Köln',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10408,
'CustomerID': 'FOLIG',
'OrderDate': '1997-01-08T00:00:00.000Z',
'ShippedDate': '1997-01-14T00:00:00.000Z',
'Freight': 11.26,
'ShipName': 'Folies gourmandes',
'ShipAddress': '184, chaussée de Tournai',
'ShipCity': 'Lille',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10409,
'CustomerID': 'OCEAN',
'OrderDate': '1997-01-09T00:00:00.000Z',
'ShippedDate': '1997-01-14T00:00:00.000Z',
'Freight': 29.83,
'ShipName': 'Océano Atlántico Ltda.',
'ShipAddress': 'Ing. Gustavo Moncada 8585 Piso 20-A',
'ShipCity': 'Buenos Aires',
'ShipRegion': null,
'ShipCountry': 'Argentina'
},
{
'OrderID': 10410,
'CustomerID': 'BOTTM',
'OrderDate': '1997-01-10T00:00:00.000Z',
'ShippedDate': '1997-01-15T00:00:00.000Z',
'Freight': 2.4,
'ShipName': 'Bottom-Dollar Markets',
'ShipAddress': '23 Tsawassen Blvd.',
'ShipCity': 'Tsawassen',
'ShipRegion': 'BC',
'ShipCountry': 'Canada'
},
{
'OrderID': 10411,
'CustomerID': 'BOTTM',
'OrderDate': '1997-01-10T00:00:00.000Z',
'ShippedDate': '1997-01-21T00:00:00.000Z',
'Freight': 23.65,
'ShipName': 'Bottom-Dollar Markets',
'ShipAddress': '23 Tsawassen Blvd.',
'ShipCity': 'Tsawassen',
'ShipRegion': 'BC',
'ShipCountry': 'Canada'
},
{
'OrderID': 10412,
'CustomerID': 'WARTH',
'OrderDate': '1997-01-13T00:00:00.000Z',
'ShippedDate': '1997-01-15T00:00:00.000Z',
'Freight': 3.77,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10413,
'CustomerID': 'LAMAI',
'OrderDate': '1997-01-14T00:00:00.000Z',
'ShippedDate': '1997-01-16T00:00:00.000Z',
'Freight': 95.66,
'ShipName': 'La maison d\'Asie',
'ShipAddress': '1 rue Alsace-Lorraine',
'ShipCity': 'Toulouse',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10414,
'CustomerID': 'FAMIA',
'OrderDate': '1997-01-14T00:00:00.000Z',
'ShippedDate': '1997-01-17T00:00:00.000Z',
'Freight': 21.48,
'ShipName': 'Familia Arquibaldo',
'ShipAddress': 'Rua Orós, 92',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10415,
'CustomerID': 'HUNGC',
'OrderDate': '1997-01-15T00:00:00.000Z',
'ShippedDate': '1997-01-24T00:00:00.000Z',
'Freight': 0.2,
'ShipName': 'Hungry Coyote Import Store',
'ShipAddress': 'City Center Plaza 516 Main St.',
'ShipCity': 'Elgin',
'ShipRegion': 'OR',
'ShipCountry': 'USA'
},
{
'OrderID': 10416,
'CustomerID': 'WARTH',
'OrderDate': '1997-01-16T00:00:00.000Z',
'ShippedDate': '1997-01-27T00:00:00.000Z',
'Freight': 22.72,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10417,
'CustomerID': 'SIMOB',
'OrderDate': '1997-01-16T00:00:00.000Z',
'ShippedDate': '1997-01-28T00:00:00.000Z',
'Freight': 70.29,
'ShipName': 'Simons bistro',
'ShipAddress': 'Vinbæltet 34',
'ShipCity': 'Kobenhavn',
'ShipRegion': null,
'ShipCountry': 'Denmark'
},
{
'OrderID': 10418,
'CustomerID': 'QUICK',
'OrderDate': '1997-01-17T00:00:00.000Z',
'ShippedDate': '1997-01-24T00:00:00.000Z',
'Freight': 17.55,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10419,
'CustomerID': 'RICSU',
'OrderDate': '1997-01-20T00:00:00.000Z',
'ShippedDate': '1997-01-30T00:00:00.000Z',
'Freight': 137.35,
'ShipName': 'Richter Supermarkt',
'ShipAddress': 'Starenweg 5',
'ShipCity': 'Genève',
'ShipRegion': null,
'ShipCountry': 'Switzerland'
},
{
'OrderID': 10420,
'CustomerID': 'WELLI',
'OrderDate': '1997-01-21T00:00:00.000Z',
'ShippedDate': '1997-01-27T00:00:00.000Z',
'Freight': 44.12,
'ShipName': 'Wellington Importadora',
'ShipAddress': 'Rua do Mercado, 12',
'ShipCity': 'Resende',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10421,
'CustomerID': 'QUEDE',
'OrderDate': '1997-01-21T00:00:00.000Z',
'ShippedDate': '1997-01-27T00:00:00.000Z',
'Freight': 99.23,
'ShipName': 'Que Delícia',
'ShipAddress': 'Rua da Panificadora, 12',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10422,
'CustomerID': 'FRANS',
'OrderDate': '1997-01-22T00:00:00.000Z',
'ShippedDate': '1997-01-31T00:00:00.000Z',
'Freight': 3.02,
'ShipName': 'Franchi S.p.A.',
'ShipAddress': 'Via Monte Bianco 34',
'ShipCity': 'Torino',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10423,
'CustomerID': 'GOURL',
'OrderDate': '1997-01-23T00:00:00.000Z',
'ShippedDate': '1997-02-24T00:00:00.000Z',
'Freight': 24.5,
'ShipName': 'Gourmet Lanchonetes',
'ShipAddress': 'Av. Brasil, 442',
'ShipCity': 'Campinas',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10424,
'CustomerID': 'MEREP',
'OrderDate': '1997-01-23T00:00:00.000Z',
'ShippedDate': '1997-01-27T00:00:00.000Z',
'Freight': 370.61,
'ShipName': 'Mère Paillarde',
'ShipAddress': '43 rue St. Laurent',
'ShipCity': 'Montréal',
'ShipRegion': 'Québec',
'ShipCountry': 'Canada'
},
{
'OrderID': 10425,
'CustomerID': 'LAMAI',
'OrderDate': '1997-01-24T00:00:00.000Z',
'ShippedDate': '1997-02-14T00:00:00.000Z',
'Freight': 7.93,
'ShipName': 'La maison d\'Asie',
'ShipAddress': '1 rue Alsace-Lorraine',
'ShipCity': 'Toulouse',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10426,
'CustomerID': 'GALED',
'OrderDate': '1997-01-27T00:00:00.000Z',
'ShippedDate': '1997-02-06T00:00:00.000Z',
'Freight': 18.69,
'ShipName': 'Galería del gastronómo',
'ShipAddress': 'Rambla de Cataluña, 23',
'ShipCity': 'Barcelona',
'ShipRegion': null,
'ShipCountry': 'Spain'
},
{
'OrderID': 10427,
'CustomerID': 'PICCO',
'OrderDate': '1997-01-27T00:00:00.000Z',
'ShippedDate': '1997-03-03T00:00:00.000Z',
'Freight': 31.29,
'ShipName': 'Piccolo und mehr',
'ShipAddress': 'Geislweg 14',
'ShipCity': 'Salzburg',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10428,
'CustomerID': 'REGGC',
'OrderDate': '1997-01-28T00:00:00.000Z',
'ShippedDate': '1997-02-04T00:00:00.000Z',
'Freight': 11.09,
'ShipName': 'Reggiani Caseifici',
'ShipAddress': 'Strada Provinciale 124',
'ShipCity': 'Reggio Emilia',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10429,
'CustomerID': 'HUNGO',
'OrderDate': '1997-01-29T00:00:00.000Z',
'ShippedDate': '1997-02-07T00:00:00.000Z',
'Freight': 56.63,
'ShipName': 'Hungry Owl All-Night Grocers',
'ShipAddress': '8 Johnstown Road',
'ShipCity': 'Cork',
'ShipRegion': 'Co. Cork',
'ShipCountry': 'Ireland'
},
{
'OrderID': 10430,
'CustomerID': 'ERNSH',
'OrderDate': '1997-01-30T00:00:00.000Z',
'ShippedDate': '1997-02-03T00:00:00.000Z',
'Freight': 458.78,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10431,
'CustomerID': 'BOTTM',
'OrderDate': '1997-01-30T00:00:00.000Z',
'ShippedDate': '1997-02-07T00:00:00.000Z',
'Freight': 44.17,
'ShipName': 'Bottom-Dollar Markets',
'ShipAddress': '23 Tsawassen Blvd.',
'ShipCity': 'Tsawassen',
'ShipRegion': 'BC',
'ShipCountry': 'Canada'
},
{
'OrderID': 10432,
'CustomerID': 'SPLIR',
'OrderDate': '1997-01-31T00:00:00.000Z',
'ShippedDate': '1997-02-07T00:00:00.000Z',
'Freight': 4.34,
'ShipName': 'Split Rail Beer & Ale',
'ShipAddress': 'P.O. Box 555',
'ShipCity': 'Lander',
'ShipRegion': 'WY',
'ShipCountry': 'USA'
},
{
'OrderID': 10433,
'CustomerID': 'PRINI',
'OrderDate': '1997-02-03T00:00:00.000Z',
'ShippedDate': '1997-03-04T00:00:00.000Z',
'Freight': 73.83,
'ShipName': 'Princesa Isabel Vinhos',
'ShipAddress': 'Estrada da saúde n. 58',
'ShipCity': 'Lisboa',
'ShipRegion': null,
'ShipCountry': 'Portugal'
},
{
'OrderID': 10434,
'CustomerID': 'FOLKO',
'OrderDate': '1997-02-03T00:00:00.000Z',
'ShippedDate': '1997-02-13T00:00:00.000Z',
'Freight': 17.92,
'ShipName': 'Folk och fä HB',
'ShipAddress': 'Åkergatan 24',
'ShipCity': 'Bräcke',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10435,
'CustomerID': 'CONSH',
'OrderDate': '1997-02-04T00:00:00.000Z',
'ShippedDate': '1997-02-07T00:00:00.000Z',
'Freight': 9.21,
'ShipName': 'Consolidated Holdings',
'ShipAddress': 'Berkeley Gardens 12 Brewery',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10436,
'CustomerID': 'BLONP',
'OrderDate': '1997-02-05T00:00:00.000Z',
'ShippedDate': '1997-02-11T00:00:00.000Z',
'Freight': 156.66,
'ShipName': 'Blondel père et fils',
'ShipAddress': '24, place Kléber',
'ShipCity': 'Strasbourg',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10437,
'CustomerID': 'WARTH',
'OrderDate': '1997-02-05T00:00:00.000Z',
'ShippedDate': '1997-02-12T00:00:00.000Z',
'Freight': 19.97,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10438,
'CustomerID': 'TOMSP',
'OrderDate': '1997-02-06T00:00:00.000Z',
'ShippedDate': '1997-02-14T00:00:00.000Z',
'Freight': 8.24,
'ShipName': 'Toms Spezialitäten',
'ShipAddress': 'Luisenstr. 48',
'ShipCity': 'Münster',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10439,
'CustomerID': 'MEREP',
'OrderDate': '1997-02-07T00:00:00.000Z',
'ShippedDate': '1997-02-10T00:00:00.000Z',
'Freight': 4.07,
'ShipName': 'Mère Paillarde',
'ShipAddress': '43 rue St. Laurent',
'ShipCity': 'Montréal',
'ShipRegion': 'Québec',
'ShipCountry': 'Canada'
},
{
'OrderID': 10440,
'CustomerID': 'SAVEA',
'OrderDate': '1997-02-10T00:00:00.000Z',
'ShippedDate': '1997-02-28T00:00:00.000Z',
'Freight': 86.53,
'ShipName': 'Save-a-lot Markets',
'ShipAddress': '187 Suffolk Ln.',
'ShipCity': 'Boise',
'ShipRegion': 'ID',
'ShipCountry': 'USA'
},
{
'OrderID': 10441,
'CustomerID': 'OLDWO',
'OrderDate': '1997-02-10T00:00:00.000Z',
'ShippedDate': '1997-03-14T00:00:00.000Z',
'Freight': 73.02,
'ShipName': 'Old World Delicatessen',
'ShipAddress': '2743 Bering St.',
'ShipCity': 'Anchorage',
'ShipRegion': 'AK',
'ShipCountry': 'USA'
},
{
'OrderID': 10442,
'CustomerID': 'ERNSH',
'OrderDate': '1997-02-11T00:00:00.000Z',
'ShippedDate': '1997-02-18T00:00:00.000Z',
'Freight': 47.94,
'ShipName': 'Ernst Handel',
'ShipAddress': 'Kirchgasse 6',
'ShipCity': 'Graz',
'ShipRegion': null,
'ShipCountry': 'Austria'
},
{
'OrderID': 10443,
'CustomerID': 'REGGC',
'OrderDate': '1997-02-12T00:00:00.000Z',
'ShippedDate': '1997-02-14T00:00:00.000Z',
'Freight': 13.95,
'ShipName': 'Reggiani Caseifici',
'ShipAddress': 'Strada Provinciale 124',
'ShipCity': 'Reggio Emilia',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10444,
'CustomerID': 'BERGS',
'OrderDate': '1997-02-12T00:00:00.000Z',
'ShippedDate': '1997-02-21T00:00:00.000Z',
'Freight': 3.5,
'ShipName': 'Berglunds snabbköp',
'ShipAddress': 'Berguvsvägen 8',
'ShipCity': 'Luleå',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10445,
'CustomerID': 'BERGS',
'OrderDate': '1997-02-13T00:00:00.000Z',
'ShippedDate': '1997-02-20T00:00:00.000Z',
'Freight': 9.3,
'ShipName': 'Berglunds snabbköp',
'ShipAddress': 'Berguvsvägen 8',
'ShipCity': 'Luleå',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10446,
'CustomerID': 'TOMSP',
'OrderDate': '1997-02-14T00:00:00.000Z',
'ShippedDate': '1997-02-19T00:00:00.000Z',
'Freight': 14.68,
'ShipName': 'Toms Spezialitäten',
'ShipAddress': 'Luisenstr. 48',
'ShipCity': 'Münster',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10447,
'CustomerID': 'RICAR',
'OrderDate': '1997-02-14T00:00:00.000Z',
'ShippedDate': '1997-03-07T00:00:00.000Z',
'Freight': 68.66,
'ShipName': 'Ricardo Adocicados',
'ShipAddress': 'Av. Copacabana, 267',
'ShipCity': 'Rio de Janeiro',
'ShipRegion': 'RJ',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10448,
'CustomerID': 'RANCH',
'OrderDate': '1997-02-17T00:00:00.000Z',
'ShippedDate': '1997-02-24T00:00:00.000Z',
'Freight': 38.82,
'ShipName': 'Rancho grande',
'ShipAddress': 'Av. del Libertador 900',
'ShipCity': 'Buenos Aires',
'ShipRegion': null,
'ShipCountry': 'Argentina'
},
{
'OrderID': 10449,
'CustomerID': 'BLONP',
'OrderDate': '1997-02-18T00:00:00.000Z',
'ShippedDate': '1997-02-27T00:00:00.000Z',
'Freight': 53.3,
'ShipName': 'Blondel père et fils',
'ShipAddress': '24, place Kléber',
'ShipCity': 'Strasbourg',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10450,
'CustomerID': 'VICTE',
'OrderDate': '1997-02-19T00:00:00.000Z',
'ShippedDate': '1997-03-11T00:00:00.000Z',
'Freight': 7.23,
'ShipName': 'Victuailles en stock',
'ShipAddress': '2, rue du Commerce',
'ShipCity': 'Lyon',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10451,
'CustomerID': 'QUICK',
'OrderDate': '1997-02-19T00:00:00.000Z',
'ShippedDate': '1997-03-12T00:00:00.000Z',
'Freight': 189.09,
'ShipName': 'QUICK-Stop',
'ShipAddress': 'Taucherstraße 10',
'ShipCity': 'Cunewalde',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10452,
'CustomerID': 'SAVEA',
'OrderDate': '1997-02-20T00:00:00.000Z',
'ShippedDate': '1997-02-26T00:00:00.000Z',
'Freight': 140.26,
'ShipName': 'Save-a-lot Markets',
'ShipAddress': '187 Suffolk Ln.',
'ShipCity': 'Boise',
'ShipRegion': 'ID',
'ShipCountry': 'USA'
},
{
'OrderID': 10453,
'CustomerID': 'AROUT',
'OrderDate': '1997-02-21T00:00:00.000Z',
'ShippedDate': '1997-02-26T00:00:00.000Z',
'Freight': 25.36,
'ShipName': 'Around the Horn',
'ShipAddress': 'Brook Farm Stratford St. Mary',
'ShipCity': 'Colchester',
'ShipRegion': 'Essex',
'ShipCountry': 'UK'
},
{
'OrderID': 10454,
'CustomerID': 'LAMAI',
'OrderDate': '1997-02-21T00:00:00.000Z',
'ShippedDate': '1997-02-25T00:00:00.000Z',
'Freight': 2.74,
'ShipName': 'La maison d\'Asie',
'ShipAddress': '1 rue Alsace-Lorraine',
'ShipCity': 'Toulouse',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10455,
'CustomerID': 'WARTH',
'OrderDate': '1997-02-24T00:00:00.000Z',
'ShippedDate': '1997-03-03T00:00:00.000Z',
'Freight': 180.45,
'ShipName': 'Wartian Herkku',
'ShipAddress': 'Torikatu 38',
'ShipCity': 'Oulu',
'ShipRegion': null,
'ShipCountry': 'Finland'
},
{
'OrderID': 10456,
'CustomerID': 'KOENE',
'OrderDate': '1997-02-25T00:00:00.000Z',
'ShippedDate': '1997-02-28T00:00:00.000Z',
'Freight': 8.12,
'ShipName': 'Königlich Essen',
'ShipAddress': 'Maubelstr. 90',
'ShipCity': 'Brandenburg',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10457,
'CustomerID': 'KOENE',
'OrderDate': '1997-02-25T00:00:00.000Z',
'ShippedDate': '1997-03-03T00:00:00.000Z',
'Freight': 11.57,
'ShipName': 'Königlich Essen',
'ShipAddress': 'Maubelstr. 90',
'ShipCity': 'Brandenburg',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10458,
'CustomerID': 'SUPRD',
'OrderDate': '1997-02-26T00:00:00.000Z',
'ShippedDate': '1997-03-04T00:00:00.000Z',
'Freight': 147.06,
'ShipName': 'Suprêmes délices',
'ShipAddress': 'Boulevard Tirou, 255',
'ShipCity': 'Charleroi',
'ShipRegion': null,
'ShipCountry': 'Belgium'
},
{
'OrderID': 10459,
'CustomerID': 'VICTE',
'OrderDate': '1997-02-27T00:00:00.000Z',
'ShippedDate': '1997-02-28T00:00:00.000Z',
'Freight': 25.09,
'ShipName': 'Victuailles en stock',
'ShipAddress': '2, rue du Commerce',
'ShipCity': 'Lyon',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10460,
'CustomerID': 'FOLKO',
'OrderDate': '1997-02-28T00:00:00.000Z',
'ShippedDate': '1997-03-03T00:00:00.000Z',
'Freight': 16.27,
'ShipName': 'Folk och fä HB',
'ShipAddress': 'Åkergatan 24',
'ShipCity': 'Bräcke',
'ShipRegion': null,
'ShipCountry': 'Sweden'
},
{
'OrderID': 10461,
'CustomerID': 'LILAS',
'OrderDate': '1997-02-28T00:00:00.000Z',
'ShippedDate': '1997-03-05T00:00:00.000Z',
'Freight': 148.61,
'ShipName': 'LILA-Supermercado',
'ShipAddress': 'Carrera 52 con Ave. Bolívar #65-98 Llano Largo',
'ShipCity': 'Barquisimeto',
'ShipRegion': 'Lara',
'ShipCountry': 'Venezuela'
},
{
'OrderID': 10462,
'CustomerID': 'CONSH',
'OrderDate': '1997-03-03T00:00:00.000Z',
'ShippedDate': '1997-03-18T00:00:00.000Z',
'Freight': 6.17,
'ShipName': 'Consolidated Holdings',
'ShipAddress': 'Berkeley Gardens 12 Brewery',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10463,
'CustomerID': 'SUPRD',
'OrderDate': '1997-03-04T00:00:00.000Z',
'ShippedDate': '1997-03-06T00:00:00.000Z',
'Freight': 14.78,
'ShipName': 'Suprêmes délices',
'ShipAddress': 'Boulevard Tirou, 255',
'ShipCity': 'Charleroi',
'ShipRegion': null,
'ShipCountry': 'Belgium'
},
{
'OrderID': 10464,
'CustomerID': 'FURIB',
'OrderDate': '1997-03-04T00:00:00.000Z',
'ShippedDate': '1997-03-14T00:00:00.000Z',
'Freight': 89,
'ShipName': 'Furia Bacalhau e Frutos do Mar',
'ShipAddress': 'Jardim das rosas n. 32',
'ShipCity': 'Lisboa',
'ShipRegion': null,
'ShipCountry': 'Portugal'
},
{
'OrderID': 10465,
'CustomerID': 'VAFFE',
'OrderDate': '1997-03-05T00:00:00.000Z',
'ShippedDate': '1997-03-14T00:00:00.000Z',
'Freight': 145.04,
'ShipName': 'Vaffeljernet',
'ShipAddress': 'Smagsloget 45',
'ShipCity': 'Århus',
'ShipRegion': null,
'ShipCountry': 'Denmark'
},
{
'OrderID': 10466,
'CustomerID': 'COMMI',
'OrderDate': '1997-03-06T00:00:00.000Z',
'ShippedDate': '1997-03-13T00:00:00.000Z',
'Freight': 11.93,
'ShipName': 'Comércio Mineiro',
'ShipAddress': 'Av. dos Lusíadas, 23',
'ShipCity': 'Sao Paulo',
'ShipRegion': 'SP',
'ShipCountry': 'Brazil'
},
{
'OrderID': 10467,
'CustomerID': 'MAGAA',
'OrderDate': '1997-03-06T00:00:00.000Z',
'ShippedDate': '1997-03-11T00:00:00.000Z',
'Freight': 4.93,
'ShipName': 'Magazzini Alimentari Riuniti',
'ShipAddress': 'Via Ludovico il Moro 22',
'ShipCity': 'Bergamo',
'ShipRegion': null,
'ShipCountry': 'Italy'
},
{
'OrderID': 10468,
'CustomerID': 'KOENE',
'OrderDate': '1997-03-07T00:00:00.000Z',
'ShippedDate': '1997-03-12T00:00:00.000Z',
'Freight': 44.12,
'ShipName': 'Königlich Essen',
'ShipAddress': 'Maubelstr. 90',
'ShipCity': 'Brandenburg',
'ShipRegion': null,
'ShipCountry': 'Germany'
},
{
'OrderID': 10469,
'CustomerID': 'WHITC',
'OrderDate': '1997-03-10T00:00:00.000Z',
'ShippedDate': '1997-03-14T00:00:00.000Z',
'Freight': 60.18,
'ShipName': 'White Clover Markets',
'ShipAddress': '1029 - 12th Ave. S.',
'ShipCity': 'Seattle',
'ShipRegion': 'WA',
'ShipCountry': 'USA'
},
{
'OrderID': 10470,
'CustomerID': 'BONAP',
'OrderDate': '1997-03-11T00:00:00.000Z',
'ShippedDate': '1997-03-14T00:00:00.000Z',
'Freight': 64.56,
'ShipName': 'Bon app',
'ShipAddress': '12, rue des Bouchers',
'ShipCity': 'Marseille',
'ShipRegion': null,
'ShipCountry': 'France'
},
{
'OrderID': 10471,
'CustomerID': 'BSBEV',
'OrderDate': '1997-03-11T00:00:00.000Z',
'ShippedDate': '1997-03-18T00:00:00.000Z',
'Freight': 45.59,
'ShipName': 'B\' Beverages',
'ShipAddress': 'Fauntleroy Circus',
'ShipCity': 'London',
'ShipRegion': null,
'ShipCountry': 'UK'
},
{
'OrderID': 10472,
'CustomerID': 'SEVES',
'OrderDate': '1997-03-12T00:00:00.000Z',
'ShippedDate': '1997-03-19T00:00:00.000Z',
'Freight': 4.2,